<?php

/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Simplify_365
 */

?>
<!doctype html>
<html <?php language_attributes(); ?>>

<head>
	<meta charset="<?php bloginfo('charset'); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="https://gmpg.org/xfn/11">
	<link rel="preload" href="<?php echo home_url(); ?>/wp-content/themes/simplify-365/assets/fonts/Outfit-Light.woff2" type="font/woff2" as="font" crossorigin>
	<link rel="preload" href="<?php echo home_url(); ?>/wp-content/themes/simplify-365/assets/fonts/Outfit-Regular.woff2" type="font/woff2" as="font" crossorigin>
	<link rel="preload" href="<?php echo home_url(); ?>/wp-content/themes/simplify-365/assets/fonts/Outfit-Medium.woff2" type="font/woff2" as="font" crossorigin>
	<link rel="preload" href="<?php echo home_url(); ?>/wp-content/themes/simplify-365/assets/fonts/Outfit-SemiBold.woff2" type="font/woff2" as="font" crossorigin>

	<?php wp_head(); ?>
	
      <script>
        window.markerConfig = {
          project: '6717c48d1663f0aca0ccb04c', 
          source: 'snippet'
        };

        !function(e,r,a){if(!e.__Marker){e.__Marker={};var t=[],n={__cs:t};["show","hide","isVisible","capture","cancelCapture","unload","reload","isExtensionInstalled","setReporter","clearReporter","setCustomData","on","off"].forEach(function(e){n[e]=function(){var r=Array.prototype.slice.call(arguments);r.unshift(e),t.push(r)}}),e.Marker=n;var s=r.createElement("script");s.async=1,s.src="https://edge.marker.io/latest/shim.js";var i=r.getElementsByTagName("script")[0];i.parentNode.insertBefore(s,i)}}(window,document);
      </script>
    
</head>

<body <?php body_class(); ?>>
	<?php wp_body_open(); ?>
	<div id="page" class="site">
		<header id="masthead" class="site-header">
			<div class="container">
				<div class="row">
					<div class="col-lg-12">
						<div class="header-wp">
							<div class="site-branding">
								<?php
								the_custom_logo();
								?>
							</div>
							<div class="header-menu">
								<nav id="site-navigation" class="main-navigation">
									<button class="menu-toggle" name="Hamburger Menu" aria-controls="site-navigation" aria-expanded="false">
										<span></span><span></span><span></span>
									</button>
									<div class="header-mobile-menu">
										<?php
										wp_nav_menu(
											array(
												'theme_location' => 'primary-menu',
											)
										);
										?>
									</div>
								</nav>
							</div>
							<?php 
							$appointment_button_text = get_field('appointment_button_text','option');
							$appointment_button_url = get_field('appointment_button_url','option');

							if(!empty($appointment_button_text) && $appointment_button_url){
								?>
								<div class="header-btn for-des">
									<a href="<?php echo esc_html($appointment_button_url); ?>" class="sec-btn sm-btn" title="<?php echo esc_attr($appointment_button_text); ?>"><?php echo esc_html($appointment_button_text); ?></a>
								</div>
								<?php 
							} ?>
						</div>
					</div>
				</div>
			</div>
		</header>
		<!-- END OF HEADER -->