<?php 
function dwd_open_pdf_after_form_submission() {
    ?>
    <script>
        document.addEventListener('DOMContentLoaded', function () {
            // Listen for form submissions on any ctct-form class
            document.body.addEventListener('submit', function(event) {
                // Check if the submitted form has the 'ctct-form' class
                var form = event.target;
                if (form && form.classList.contains('ctct-form-417')) {
                    event.preventDefault(); // Stop normal submission
                    var popupTextDiv = document.querySelector('.common-popup-text');

                    // Create a new div element for the success message
                    var messageDiv = document.createElement('div');
                    messageDiv.style.backgroundColor = '#ccffdd'; // Set a background color
                    messageDiv.style.padding = '10px 20px'; // Add some padding
                    messageDiv.style.borderRadius = '5px'; // Add border radius
                    messageDiv.style.marginTop = '10px'; // Optional: add margin at the top
                    messageDiv.style.color = '#006622'; // Set text color

                    // Create a new paragraph element for the message text
                    var messageParagraph = document.createElement('p');
                    messageParagraph.innerText = 'Thank you for your submission! Your PDF is ready to download.';
                    messageParagraph.style.margin = '0'; // Remove margin for the paragraph

                    // Append the paragraph to the message div
                    messageDiv.appendChild(messageParagraph);

                    // Insert the message div at the start of the common-popup-text div
                    popupTextDiv.prepend(messageDiv);
                    popupTextDiv.style.display = 'block'; // Ensure it's visible

                    // Wait for a moment before opening the PDF and redirecting
                    setTimeout(function() {
                        // Open the PDF in a new tab
                        <?php 
                        $front_page_id = get_option('page_on_front');
                        $home_banner_download_pdf = get_field('home_banner_download_pdf', $front_page_id);
                        ?>
                        window.open('<?php echo esc_url($home_banner_download_pdf); ?>', '_blank');

                        // Redirect to another page after showing the message
                        window.location.href = '<?php home_url(); ?>'; // Replace with your actual redirect URL
                    }, 3000); // Adjust the delay time if needed
                }
            });
        });
    </script>
    <?php
}
add_action('wp_footer', 'dwd_open_pdf_after_form_submission');
