<?php

/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Simplify_365
 */

get_header();
?>

<main id="primary" class="site-main">

	<!-- Inner Banner Section Start -->

	<?php
	$blog_post_id = get_option('page_for_posts');
	$blog_page_title = get_field('blog_page_title', $blog_post_id);

	$blog_page_content = get_field('blog_page_content', $blog_post_id);



	if (!empty($blog_page_title) || !empty($blog_page_content)) {

		banner_details($blog_page_title, $blog_page_content);
	}



	?>

	<!-- Inner Banner Section End -->



	<!-- Case Study Section Start -->

	<section class="case-study-section">

		<div class="container">

			<div class="case-study-content-wp">

				<div class="case-study-filter-tab filter-tabing">

					<ul>
						<li class="active" data-category-id="view-all"><a
								href="<?php echo get_permalink(get_option('page_for_posts')); ?>">View All</a></li>
						<?php

						$selected_categories = array(32, 15, 10, 8, 13, 7, 72);

						$categories = get_terms(array(

							'taxonomy' => 'category',

							'include' => $selected_categories,

							'hide_empty' => true,

						));



						foreach ($categories as $category) {

							$category_link = get_category_link($category->term_id);

							echo '<li data-category-id="' . esc_html($category->name) . '" ><a href="' . esc_url($category_link) . '">' . esc_html($category->name) . '</a></li>';
						}

						?>

					</ul>

					<div class="search-form-wp">

						<form action="" class="search-form">

							<button><img src="<?php echo home_url() ?>/wp-content/uploads/2024/10/search.svg"
									alt="Search" width="24" height="24">

							</button>

							<input type="search" id="search" placeholder="search...">

						</form>

					</div>

				</div>

				<div class="card-wp">

					<div class="row" id="posts-container">

						<?php

						$args = array(

							'post_type' => 'post',
							'posts_per_page' => 6,
							'post_status' => 'publish'

						);

						$query = new WP_Query($args);



						if ($query->have_posts()) {

							while ($query->have_posts()) {

								$query->the_post();


								echo common_struture_posts();
						?>

						<?php

							}

							wp_reset_postdata();
						} ?>

					</div>


					<?php

					if ($query->max_num_pages > 6) { ?>
						<div class="load-more-btn-wp">

							<button id="load-more" class="load-more sec-btn btn-transparent" data-page="1"
								data-max-pages="<?php echo $query->max_num_pages; ?>" title="Load More">Load More</button>
							<i class="fas fa-spinner fa-spin" style="display: none;"></i>

						</div>
					<?php
					}
					?>
				</div>

			</div>

		</div>

	</section>

	<!-- Case Study Section Section End -->

</main><!-- #main -->

<?php

get_footer();
