<?php

/**
 * The template for displaying all single posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package Simplify_365
 */

get_header();
?>
<main>
    <!-- Single Team Member Section Start -->
    <section class="single-team-member-section">
        <div class="container">
            <div class="row gy-3 gy-md-4 gy-lg-0">
                <div class="col-sm-10 col-md-8 col-lg-4">
                    <div class="team-member-details wow left-animation">
                        <?php
                        if (get_the_post_thumbnail_url()) { ?>
                            <div class="team-member-img back-img"
                                style="background-image: url('<?php the_post_thumbnail_url(); ?>')">
                            </div>
                        <?php
                        }
                        $call_button_text       = get_field("call_button_text", "option");
                        $email_button_text      = get_field("email_button_text", "option");
                        $linkedin_button_text   = get_field("linkedin_button_text", "option");
                        $phone_number           = get_field("phone_number");
                        $email                  = get_field("email");
                        $linkedin_url           = get_field("linkedin_url");
                        ?>
                        <div class="team-member-contact-btn">
                            <?php
                            if (!empty($phone_number)) { ?>
                                <a href="<?php echo esc_attr($phone_number['url']); ?>" title="<?php echo esc_attr($call_button_text . " " . get_the_title()); ?>" class="sec-btn callus wow fadeup-animation"
                                    data-wow-duration="0.8s" data-wow-delay="0.4s">
                                    <img src="<?php echo home_url() ?>/wp-content/uploads/2024/10/call-icon.svg"
                                        alt="Call Now" width="32" height="32">
                                    <span class="callus"> <?php echo esc_html($call_button_text . " " . get_the_title()); ?></span></a>
                            <?php
                            }
                            if (!empty($email)) { ?>
                                <a href="<?php echo esc_attr($email['url']); ?>" title="<?php echo esc_attr($email_button_text . " " . get_the_title()); ?>" class="sec-btn btn-transparent wow fadeup-animation"
                                    data-wow-duration="0.8s" data-wow-delay="0.8s">
                                    <img src="<?php echo home_url() ?>/wp-content/uploads/2024/10/email-icon.svg"
                                        alt="Mail Now" width="32" height="32">
                                    <?php echo esc_html($email_button_text . " " . get_the_title()); ?></a>
                            <?php
                            }
                            if (!empty($linkedin_url)) { ?>
                                <a href="<?php echo esc_url($linkedin_url) ?>" target="_blank" title="<?php echo esc_attr($linkedin_button_text); ?>"
                                    class="sec-btn btn-transparent wow fadeup-animation" data-wow-duration="0.8s"
                                    data-wow-delay="1.2s">
                                    <img src="<?php echo home_url() ?>/wp-content/uploads/2024/10/linkedIn-icon.svg"
                                        alt="LinkedIn" width="32" height="32">
                                    <?php echo esc_html($linkedin_button_text); ?></a>
                            <?php
                            } ?>
                        </div>
                    </div>
                </div>
                <?php
                $designation = get_field('designation');
                $certificates = get_field('certificates');
                $member_details = get_field('member_details');
                ?>
                <div class="col-lg-8">
                    <div class="team-member-info ms-lg-auto wow right-animation">
                        <h1 class="h1-title"><?php the_title(); ?></h1>
                        <?php
                        if (!empty($certificates)) {
                        ?>
                            <h3 class="h3-title"><?php echo esc_html($certificates); ?></h3>
                        <?php
                        }
                        if (!empty($designation)) { ?>
                            <div class="body-l">
                                <p><?php echo esc_html($designation); ?></p>
                            </div>
                        <?php
                        }
                        if (!empty($member_details)) {
                        ?>
                            <div class="content">
                                <?php echo wp_kses_post($member_details); ?>
                            </div>
                        <?php
                        } ?>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- Single Team Member Section End -->
</main>

<?php get_footer();
