<?php

/**
 * The template for displaying all single posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package Simplify_365
 */

get_header();
?>
<main id="primary" class="site-main">
	<?php
	if (have_posts()) {

		while (have_posts()) {
			the_post();
			?>
			<section class="blog-post-banner">
				<div class="container">
					<div class="row justify-content-center">
						<div class="col-lg-8">
							<ul class="breadcrumbs-section">
								<li>
									<a title="Blog"
										href="<?php echo get_permalink(get_option('page_for_posts')); ?>">Blog</a>
								</li>
								<li>
									<?php
									$categories = get_the_category();
									if (!empty($categories)) {
										$category = $categories[0];
										echo '<a title="' . esc_html($category->name) . '" href="' . esc_url(get_category_link($category->term_id)) . '">' . esc_html($category->name) . '</a>';
									}
									?>
								</li>

							</ul>

							<div class="blog-title">
								<h1 class="h1-title"><?php echo get_the_title(); ?></h1>
							</div>
							<div class="blog-author-wrapper">
								<div class="blog-author-info">
									<?php
									$author_id = get_the_author_meta('ID');
									$author_name = get_the_author_meta('display_name');
									$author_designation = get_field('author_designation', 'user_' . $author_id); // Get custom field for designation
									$author_image = get_field('author_image', 'user_' . $author_id); // Get custom field for image
							
									?>
									<div class="blog-author-img">
										<?php
										$default_image = home_url() . '/wp-content/uploads/2024/10/profile-place-holder.png';
										$author_image = !empty($author_image) ? esc_html($author_image) : $default_image;

										echo '<img src="' . esc_html($author_image) . '" width="56" height="56" alt="' . esc_html($author_name) . '">';
										?>
									</div>

									<div class="blog-author-meta">
										<h6 class="h6-title">By <?php echo esc_html($author_name); ?></h6>
										<div class="body-s">
											<p><?php echo esc_html($author_designation); ?></p>
										</div>
									</div>

								</div>

								<div class="blog-social">
									<ul>
										<?php
										$post_url = get_permalink();
										$post_title = get_the_title();
										?>
										<li>
											<a href="#" onclick="copyToClipboard('<?php echo get_permalink() ?>')"
												title="Copy Link">
												<span class="mask-img"
													style="-webkit-mask-image: url('<?php echo home_url() ?>/wp-content/uploads/2024/10/link-alt.svg');"></span>
											</a>
										</li>

										<li>
											<a href="https://www.linkedin.com/shareArticle?mini=true&url=<?php echo $post_url; ?>&title=<?php echo $post_title; ?>"
												title="Share on LinkedIn" target="_blank">
												<span class="mask-img"
													style="-webkit-mask-image: url('<?php echo home_url() ?>/wp-content/uploads/2024/10/linkedIn-icon.svg');"></span>
											</a>
										</li>

										<li>
											<a href="https://twitter.com/intent/tweet?text=<?php echo $post_title; ?>&url=<?php echo $post_url; ?>"
												title="Share on Twitter" target="_blank">
												<span class="mask-img"
													style="-webkit-mask-image: url('<?php echo home_url() ?>/wp-content/uploads/2024/10/X.svg');"></span>
											</a>
										</li>

										<li>
											<a href="https://www.facebook.com/sharer/sharer.php?u=<?php echo $post_url; ?>"
												title="Share on Facebook" target="_blank">
												<span class="mask-img"
													style="-webkit-mask-image: url('<?php echo home_url() ?>/wp-content/uploads/2024/10/facebook-icon.svg');"></span>
											</a>
										</li>

										<li>
											<a href="javascript:void(0)" title="Add to Bookmark"
												onclick="handleAction('bookmark', '<?php echo get_permalink(); ?>')">
												<span class="mask-img"
													style="-webkit-mask-image: url('<?php echo home_url() ?>/wp-content/uploads/2024/10/bookmark-fill.svg');"></span>
											</a>
										</li>
									</ul>
								</div>
							</div>
						</div>
					</div>
				</div>
			</section>
			<section class="blog-intro-sec">
				<div class="container">
					<?php
					if (!empty(get_the_post_thumbnail_url())) {
						?>
						<div class="single-blog-img back-img" style="background-image: url('<?php the_post_thumbnail_url(); ?>');">
						<?php
					} ?>
					</div>
					<div class="row justify-content-center">
						<div class="col-lg-8">
							<div class="blog-intro-content">
								<div class="content">
									<?php the_content(); ?>
								</div>
								<div class="share-post-wp">
									<div class="blog-social">
										<h6 class="h6-title">Share this post</h6>
										<ul>
											<li>
												<a href="#" onclick="copyToClipboard('<?php echo get_permalink() ?>')"
													title="Copy Link">
													<span class="mask-img"
														style="-webkit-mask-image: url('<?php echo home_url() ?>/wp-content/uploads/2024/10/link-alt.svg');"></span>
												</a>
											</li>

											<li>
												<a href="https://www.linkedin.com/shareArticle?mini=true&url=<?php echo $post_url; ?>&title=<?php echo $post_title; ?>"
													title="Share on LinkedIn" target="_blank">
													<span class="mask-img"
														style="-webkit-mask-image: url('<?php echo home_url() ?>/wp-content/uploads/2024/10/linkedIn-icon.svg');"></span>
												</a>
											</li>

											<li>
												<a href="https://twitter.com/intent/tweet?text=<?php echo $post_title; ?>&url=<?php echo $post_url; ?>"
													title="Share on Twitter" target="_blank">
													<span class="mask-img"
														style="-webkit-mask-image: url('<?php echo home_url() ?>/wp-content/uploads/2024/10/X.svg');"></span>
												</a>
											</li>

											<li>
												<a href="https://www.facebook.com/sharer/sharer.php?u=<?php echo $post_url; ?>"
													title="Share on Facebook" target="_blank">
													<span class="mask-img"
														style="-webkit-mask-image: url('<?php echo home_url() ?>/wp-content/uploads/2024/10/facebook-icon.svg');"></span>
												</a>
											</li>
										</ul>
									</div>
									<div class="filter-tabing">
										<ul>
											<?php
											$categories = get_the_category();
											$cat_list = [];
											if (!empty($categories)) {
												foreach ($categories as $category) {
													$cat_list[] = $category->name;
													echo '<li><a title="' . esc_html($category->name) . '" href="' . esc_url(get_category_link($category->term_id)) . '">' . esc_html($category->name) . '</a></li>';
												}
											}
											?>
										</ul>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
			</section>
			<?php
		}
	}

	$args = array(
		'post_type' => 'post',
		'post_status' => 'publish',
		'posts_per_page' => 3,
		'order' => 'desc',
	);

	$query = new wp_Query($args);

	if ($query->have_posts()) {
		?>

		<section class="latest-insights-section">
			<div class="container">
				<div class="sec-title">
					<?php
					$discover_latest_post_title = get_field('discover_latest_post_title', 'option');
					$discover_latest_content = get_field('discover_latest_content', 'option');

					if (!empty($discover_latest_post_title)) {
						?>
						<h3 class="h3-title"><?php echo esc_html($discover_latest_post_title); ?></h3>
					<?php
					}
					if (!empty($discover_latest_content)) {
						?>
						<p><?php echo esc_html($discover_latest_content); ?></p>
						<?php
					} ?>
				</div>
				<div class="card-wp">
					<div class="row">
						<?php
						while ($query->have_posts()) {
							$query->the_post();

							$categories = get_the_category();
							$cat_list = [];
							if (!empty($categories)) {
								foreach ($categories as $category) {
									$cat_list[] = $category->name;
								}
							}
							?>
							<div class="col-lg-4">
								<div class="info-card">

									<div class="card-img">
										<a href="<?php the_permalink(); ?>" title="Tax Planning Strategies" class="back-img"
											style="background-image: url('<?php the_post_thumbnail_url(); ?>')"></a>

										<?php
										$video_url = get_field('video_url');
										if (!empty($video_url)) {
											play_icon($video_url);
										} ?>
									</div>

									<div class="card-content">
										<div class="body-s">
											<p class="card-info-tag"><?php echo implode(', ', $cat_list); ?></p>
										</div>
										<h4 class="h4-title">
											<a href="<?php the_permalink() ?>" class="sdsds" title="<?php the_title(); ?>">
												<?php the_title(); ?>
											</a>
										</h4>
										<?php
										if (!empty(get_the_content())) {

											 echo wpautop(wp_trim_words(get_the_content(), 20)); 
											
										} ?>
									</div>
								</div>
							</div>
							<?php
						} ?>
					</div>
					<?php
					$button_url = get_field('button_url', 'option');
					$button_text = get_field('button_text', 'option');

					if (!empty($button_url) && !empty($button_text)) {
						?>
						<div class="load-more-btn-wp">
							<a href="<?php echo esc_url($button_url); ?>">
								<button class="load-more sec-btn btn-transparent"
									title="Learn More"><?php echo esc_html($button_text); ?>
									<span class="mask-img arrow-icon"
										style="-webkit-mask-image: url('<?php echo home_url() ?>/wp-content/uploads/2024/10/btn-arrow.svg'); width:22px; height: 15px;"></span>
								</button>
							</a>
						</div>
					<?php
					} ?>
				</div>
			</div>
		</section>
		<?php
	} ?>
</main><!-- #main -->
<?php

get_footer();
