<?php

/**
 * Template Name: home-2
 *
 */
get_header(); ?>

<div id="primary" class="content-area">
    <main id="main" class="site-main">

        <section class="main-banner">
            <div class="container">
                <div class="row">
                    <div class="col-lg-12">
                        <div class="banner-blocks">
                            <div class="banner-content-box">
                                <div class="banner-content">
                                    <h1 class="h1-title">Get Organized. Build Wealth. Achieve More.</h1>
                                    <div class="body-l">
                                        <p>Maximize your savings with simplify365® tax planning, retirement plan design, and payroll optimization strategies.</p>
                                    </div>
                                    <div class="banner-btn">
                                        <a href="#" class="sec-btn" title="Schedule an Appointment">Schedule an Appointment</a>
                                    </div>
                                </div>
                            </div>
                            <div class="banner-video-wp">
                                <div class="back-img" style="background-image: url('<?php echo home_url(); ?>/wp-content/uploads/2024/10/hero-banner.jpg');">
                                    <div class="play-btn-wp">
                                        <span class="play-btn"></span>
                                    </div>
                                </div>
                            </div>
                            <div class="tax-pitfalls">
                                <div class="tax-pitfalls-wp white-text">
                                    <div class="tax-pitfalls-content">
                                        <div class="body-xl">
                                            <p>Complimentary Guide: Top Five Tax Pitfalls</p>
                                        </div>
                                        <p>If you’re a business owner with more than $500,000 in personal income, download the simplify365® guide to steering clear of costly tax mistakes.</p>
                                    </div>
                                    <a href="#" class="sec-btn white-btn sm-btn" title="Download">Download</a>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
        <!-- END OF MAIN BANNER -->

        <section class="manage-wealth">
            <div class="container">
                <div class="row">
                    <div class="col-lg-12">
                        <div class="sec-title">
                            <h2 class="h2-title">Effortlessly manage your wealth with simplify365®</h2>
                            <div class="title-text">
                                <p>For decades, our team has been providing financial planning services to business owners at every stage of their journey, from startups to mature companies. Our goal is to minimize the tax burden of our clients, turning complex into simple. We work with you to reduce financial stress and provide guidance toward achieving your long-term goals.</p>
                                <a href="#" class="sec-btn btn-transparent" title="Learn More">Learn More <span class="mask-img arrow-icon" style="-webkit-mask-image: url('<?php echo home_url(); ?>/wp-content/uploads/2024/10/btn-arrow.svg'); width:22px; height: 15px;"></span></a>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="wealth-tiles">
                    <div class="row">
                        <div class="col-lg-6">
                            <div class="wealth-tiles-box">
                                <div class="tiles-box-img back-img" style="background-image: url('<?php echo home_url(); ?>/wp-content/uploads/2024/10/helping-households.jpg');"></div>
                                <div class="tiles-box-content">
                                    <div class="body-l">
                                        <p>Helping Households</p>
                                    </div>
                                    <span>394</span>
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-6">
                            <div class="wealth-tiles-box">
                                <div class="tiles-box-img back-img" style="background-image: url('<?php echo home_url(); ?>/wp-content/uploads/2024/10/company-retirement-plans.jpg');"></div>
                                <div class="tiles-box-content">
                                    <div class="body-l">
                                        <p>Company Retirement Plans</p>
                                    </div>
                                    <span>45</span>
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-6">
                            <div class="wealth-tiles-box">
                                <div class="tiles-box-img back-img" style="background-image: url('<?php echo home_url(); ?>/wp-content/uploads/2024/10/assets-under-management.jpg');"></div>
                                <div class="tiles-box-content">
                                    <div class="body-l">
                                        <p>Assets under management</p>
                                    </div>
                                    <span>$700<sub>mm</sub></span>
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-6">
                            <div class="wealth-tiles-box">
                                <div class="tiles-box-img back-img" style="background-image: url('<?php echo home_url(); ?>/wp-content/uploads/2024/10/business-owners.jpg');"></div>
                                <div class="tiles-box-content">
                                    <div class="body-l">
                                        <p>Business Owners</p>
                                    </div>
                                    <span>88</span>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
        <!-- END OF MANAGE WEALTH -->

        <section class="how-it-works">
            <div class="container">
                <div class="row">
                    <div class="col-lg-12">
                        <div class="how-it-works-content">
                            <div class="sec-title">
                                <h2 class="h2-title">How It Works</h2>
                                <div class="body-l">
                                    <p>Here’s a broad overview of our process, outlining how our services mesh with your existing business operations with minimal interference.</p>
                                </div>
                            </div>
                            <div class="works-content-wp">
                                <div class="works-bar">
                                    <span></span>
                                </div>
                                <div class="works-content">
                                    <div class="works-content-box">
                                        <img src="<?php echo home_url(); ?>/wp-content/uploads/2024/10/get-organized-icon.svg" width="60" height="60" alt="">
                                        <h5 class="h5-title">Get Organized</h5>
                                        <p>In the discovery phase, we evaluate your financial status and identify the primary goals of your business.</p>
                                    </div>
                                    <div class="works-content-box">
                                        <img src="<?php echo home_url(); ?>/wp-content/uploads/2024/10/create-your-plan-icon.svg" width="60" height="60" alt="">
                                        <h5 class="h5-title">Create Your Plan</h5>
                                        <p>Once we understand the unique needs of your business, we start optimizing your short - and long-term financial strategies.</p>
                                    </div>
                                    <div class="works-content-box">
                                        <img src="<?php echo home_url(); ?>/wp-content/uploads/2024/10/save-taxes-icon.svg" width="60" height="60" alt="">
                                        <h5 class="h5-title">Save Taxes</h5>
                                        <p>Through tax planning and custom financial care, we help you stay ahead of life’s uncertainties and achieve your goals.</p>
                                    </div>
                                    <div class="works-content-box">
                                        <img src="<?php echo home_url(); ?>/wp-content/uploads/2024/10/build-wealth-icon.svg" width="60" height="60" alt="">
                                        <h5 class="h5-title">Build Wealth</h5>
                                        <p>We seamlessly integrate our essential business solutions with all your ongoing professional operations.</p>
                                    </div>
                                    <div class="works-content-box">
                                        <img src="<?php echo home_url(); ?>/wp-content/uploads/2024/10/achieve-more-icon.svg" width="60" height="60" alt="">
                                        <h5 class="h5-title">Achieve More</h5>
                                        <p> We provide ongoing support, managing financial matters so you can focus on growing your business.</p>
                                    </div>
                                </div>
                            </div>
                            <div class="collaborate-video">
                                <div class="back-img" style="background-image: url('<?php echo home_url(); ?>/wp-content/uploads/2024/10/how-it-works-video-thumnail.jpg');">
                                    <div class="play-btn-wp">
                                        <span class="play-btn"></span>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
        <!-- END OF HOW IT WORKS -->

        <section class="our-plans">
            <div class="container">
                <div class="row">
                    <div class="col-lg-6 align-self-center">
                        <div class="our-plans-content">
                            <div class="sec-title">
                                <h2 class="h2-title">Our Plans</h2>
                                <p>Our programs are designed to support business owners in achieving financial success and peace of mind. simplify365® provides tax planning programs at every stage of the journey. Keep what you’ve built by managing your tax burden the right way!</p>
                                <p>Our tax planning programs are tiered depending on the scope and complexity of your business. All programs entail the following services:</p>
                            </div>
                            <div class="planning-boxes">
                                <div class="planning-box">
                                    <div class="planning-box-title planning-primary">
                                        <img src="<?php echo home_url(); ?>/wp-content/uploads/2024/10/business-solutions.svg" width="60" height="60" alt="Business solutions">
                                        <h5 class="h5-title">Essential <span>Business Solutions</span></h5>
                                    </div>
                                    <div class="planning-box-content">
                                        <p>Payroll optimization, retirement plan design, Tax Due Diligence™, and more.</p>
                                    </div>
                                </div>
                                <div class="planning-box">
                                    <div class="planning-box-title planning-primary">
                                        <img src="<?php echo home_url(); ?>/wp-content/uploads/2024/10/strategy-meetings.svg" width="60" height="60" alt="Business solutions">
                                        <h5 class="h5-title">Strategy <span>Meetings</span></h5>
                                    </div>
                                    <div class="planning-box-content">
                                        <p>Annual goal planning, year-end tax planning focus, legacy planning, and more.</p>
                                    </div>
                                </div>
                                <div class="planning-box">
                                    <div class="planning-box-title planning-primary">
                                        <img src="<?php echo home_url(); ?>/wp-content/uploads/2024/10/proactive-tax-planning.svg" width="60" height="60" alt="Business solutions">
                                        <h5 class="h5-title">Proactive <span>Tax Planning</span></h5>
                                    </div>
                                    <div class="planning-box-content">
                                        <p>Monthly planning day, annual tax return review, draft tax return review, and more.</p>
                                    </div>
                                </div>
                                <div class="planning-box">
                                    <div class="planning-box-title planning-primary">
                                        <img src="<?php echo home_url(); ?>/wp-content/uploads/2024/10/business-estate-planning.svg" width="60" height="60" alt="Business solutions">
                                        <h5 class="h5-title">Business & <span>Estate Planning</span></h5>
                                    </div>
                                    <div class="planning-box-content">
                                        <p>Estate planning review, protection planning, business continuity planning, and more.</p>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-6">
                        <div class="our-team-image">
                            <div class="back-img" style="background-image: url('<?php echo home_url(); ?>/wp-content/uploads/2024/10/our-plan-min.jpg');"></div>
                            <div class="more-about-simplify white-text">
                                <div class="body-xl">
                                    <p>Learn more about simplify365® Plans</p>
                                </div>
                                <a href="#" class="sec-btn sm-btn white-btn" title="Learn More">Learn More</a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
        <!-- END OF HOW IT WORKS -->

        <section class="opportunity-analysis">
            <div class="container">
                <div class="opportunity-content">
                    <div class="row">
                        <div class="col-lg-4">
                            <div class="opportunity-image for-des-flex">
                                <img src="<?php echo home_url(); ?>/wp-content/uploads/2024/10/john-vance-analysis.png" width="267" height="541" alt="John vance analysis">
                                <span class="mask-img vance-icon" style="-webkit-mask-image: url('<?php echo home_url(); ?>/wp-content/uploads/2024/10/logo-vector.svg');"></span>
                            </div>
                        </div>
                        <div class="col-lg-8">
                            <div class="opportunity-text white-text">
                                <h2 class="h2-title">simplify365® Tax Planning Opportunity Analysis</h2>
                                <p>Upload your tax returns to get a personalized report highlighting potential savings and tax planning strategies.</p>
                                <p>Let simplify365® analyze your tax returns to identify opportunities for savings, deductions, and optimizations you may have missed. Receive a customized PDF report outlining key metrics, potential savings, and actionable tax strategies contributing to financial health.</p>
                                <a href="" class="sec-btn white-btn" title="Request a Review">Request a Review <span class="mask-img arrow-icon" style="-webkit-mask-image: url('<?php echo home_url(); ?>/wp-content/uploads/2024/10/btn-arrow.svg'); width:22px; height: 15px;"></span></a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
        <!-- END OF HOW IT WORKS -->

        <section class="case-studies">
            <div class="container">
                <div class="row">
                    <div class="col-lg-12">
                        <div class="sec-head">
                            <div class="sec-title">
                                <h2 class="h2-title">Case Studies</h2>
                                <div class="body-l">
                                    <p>Explore our key case studies below or browse all to see how simplify365® can help manage your wealth effectively.</p>
                                </div>
                            </div>
                            <a href="#" class="sec-btn btn-transparent" title="Browse All">Browse All <span class="mask-img arrow-icon" style="-webkit-mask-image: url('<?php echo home_url(); ?>/wp-content/uploads/2024/10/btn-arrow.svg'); width:22px; height: 15px;"></span></a>
                        </div>
                        <div class="case-studies-slider-wp">
                            <div class="case-studies-slider swiper">
                                <div class="swiper-wrapper">
                                    <div class="swiper-slide">
                                        <div class="case-studies-slide">
                                            <div class="case-studies-img back-img" style="background-image: url('<?php echo home_url(); ?>/wp-content/uploads/2024/10/case-study-thumb.jpg');"></div>
                                            <div class="case-studies-content">
                                                <div class="case-studies-brand">
                                                    <h6 class="h6-title">Inc. 5000</h6>
                                                    <span>Named one of the fastest-growing private companies in America!</span>
                                                </div>
                                                <div class="case-studies-text">
                                                    <div class="overflow-text body-xl" data-simplebar>
                                                        <p>Vance Wealth, a distinguished wealth management firm headquartered in Santa Clarita with offices in Pasadena and a forthcoming expansion into Newport Beach, proudly announces its selection as an Inc. 5000 award honoree for 2023. and 2024. This prestigious accolade underscores Vance Wealth's enduring commitment to excellence, visionary leadership, and exceptional service.</p>
                                                    </div>
                                                </div>
                                                <a href="#" class="cta-link" title="learn more">learn more <span class="mask-img arrow-icon" style="-webkit-mask-image: url('<?php echo home_url(); ?>/wp-content/uploads/2024/10/btn-arrow.svg'); width:22px; height: 15px;"></span></a>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="swiper-slide">
                                        <div class="case-studies-slide">
                                            <div class="case-studies-img back-img" style="background-image: url('<?php echo home_url(); ?>/wp-content/uploads/2024/10/case-study-thumb.jpg');"></div>
                                            <div class="case-studies-content">
                                                <div class="case-studies-brand">
                                                    <h6 class="h6-title">Inc. 5000</h6>
                                                    <span>Named one of the fastest-growing private companies in America!</span>
                                                </div>
                                                <div class="case-studies-text">
                                                    <div class="overflow-text body-xl" data-simplebar>
                                                        <p>Vance Wealth, a distinguished wealth management firm headquartered in Santa Clarita with offices in Pasadena and a forthcoming expansion into Newport Beach, proudly announces its selection as an Inc. 5000 award honoree for 2023. and 2024. This prestigious accolade underscores Vance Wealth's enduring commitment to excellence, visionary leadership, and exceptional service.</p>
                                                    </div>
                                                </div>
                                                <a href="#" class="cta-link" title="learn more">learn more <span class="mask-img arrow-icon" style="-webkit-mask-image: url('<?php echo home_url(); ?>/wp-content/uploads/2024/10/btn-arrow.svg'); width:22px; height: 15px;"></span></a>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="swiper-pagination"></div>
                            <div class="swiper-button-prev swiper-arrow"></div>
                            <div class="swiper-button-next swiper-arrow"></div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
        <!-- END OF CASE STUDIES WORKS -->

        <section class="awards">
            <div class="container">
                <div class="row">
                    <div class="col-lg-12">
                        <div class="awards-content">
                            <div class="sec-title">
                                <h2 class="h2-title">Recognitions and Awards</h2>
                                <p>Explore our achievements below to see why industry leaders trust us with their financial success.</p>
                            </div>
                            <div class="awards-slider-wp">
                                <div class="awards-slider swiper">
                                    <div class="swiper-wrapper">
                                        <div class="swiper-slide">
                                            <div class="award-img">
                                                <div class="award-info">
                                                    <span class="mask-img tooltip-icon" style="-webkit-mask-image: url('<?php echo home_url(); ?>/wp-content/uploads/2024/10/tooltip-info.svg');" aria-describedby="tooltip"></span>
                                                    <div class="award-tooltip" role="tooltip">
                                                        <h6 class="h6-title">RIA of the Year (Less than $1 billion AUM)</h6>
                                                        <p>We are thrilled to announce that our firm has been named RIA of the Year (Less than $1 billion AUM) at the Annual RIA Intel Awards.</p>
                                                        <a href="#" class="cta-link" title="Learn More">Learn More <span class="mask-img arrow-icon" style="-webkit-mask-image: url('<?php echo home_url(); ?>/wp-content/uploads/2024/10/btn-arrow.svg'); width:22px; height: 15px;"></span></a>
                                                        <div class="tooltip-arrow" data-popper-arrow></div>
                                                    </div>
                                                </div>
                                                <img src="<?php echo home_url(); ?>/wp-content/uploads/2024/10/america-top-ria.png" width="121" height="103" alt="America top RIA">
                                            </div>
                                        </div>
                                        <!-- <div class="swiper-slide">
                                            <div class="award-img">
                                                <div class="award-info">
                                                    <span class="mask-img" style="-webkit-mask-image: url('<?php echo home_url(); ?>/wp-content/uploads/2024/10/tooltip-info.svg');"></span>
                                                    <div class="award-tooltip">
                                                        <h6 class="h6-title">RIA of the Year (Less than $1 billion AUM)</h6>
                                                        <p>We are thrilled to announce that our firm has been named RIA of the Year (Less than $1 billion AUM) at the Annual RIA Intel Awards.</p>
                                                        <a href="#" class="cta-link" title="Learn More">Learn More <span class="mask-img arrow-icon" style="-webkit-mask-image: url('<?php echo home_url(); ?>/wp-content/uploads/2024/10/btn-arrow.svg'); width:22px; height: 15px;"></span></a>
                                                    </div>
                                                </div>
                                                <img src="<?php echo home_url(); ?>/wp-content/uploads/2024/10/scv-chamber.png" width="111" height="109" alt="SCV Chamber">
                                            </div>
                                        </div>
                                        <div class="swiper-slide">
                                            <div class="award-img">
                                                <div class="award-info">
                                                    <span class="mask-img" style="-webkit-mask-image: url('<?php echo home_url(); ?>/wp-content/uploads/2024/10/tooltip-info.svg');"></span>
                                                    <div class="award-tooltip">
                                                        <h6 class="h6-title">RIA of the Year (Less than $1 billion AUM)</h6>
                                                        <p>We are thrilled to announce that our firm has been named RIA of the Year (Less than $1 billion AUM) at the Annual RIA Intel Awards.</p>
                                                        <a href="#" class="cta-link" title="Learn More">Learn More <span class="mask-img arrow-icon" style="-webkit-mask-image: url('<?php echo home_url(); ?>/wp-content/uploads/2024/10/btn-arrow.svg'); width:22px; height: 15px;"></span></a>
                                                    </div>
                                                </div>
                                                <img src="<?php echo home_url(); ?>/wp-content/uploads/2024/10/ria-intel.png" width="99" height="92" alt="RIA Intel">
                                            </div>
                                        </div>
                                        <div class="swiper-slide">
                                            <div class="award-img">
                                                <div class="award-info">
                                                    <span class="mask-img" style="-webkit-mask-image: url('<?php echo home_url(); ?>/wp-content/uploads/2024/10/tooltip-info.svg');"></span>
                                                    <div class="award-tooltip">
                                                        <h6 class="h6-title">RIA of the Year (Less than $1 billion AUM)</h6>
                                                        <p>We are thrilled to announce that our firm has been named RIA of the Year (Less than $1 billion AUM) at the Annual RIA Intel Awards.</p>
                                                        <a href="#" class="cta-link" title="Learn More">Learn More <span class="mask-img arrow-icon" style="-webkit-mask-image: url('<?php echo home_url(); ?>/wp-content/uploads/2024/10/btn-arrow.svg'); width:22px; height: 15px;"></span></a>
                                                    </div>
                                                </div>
                                                <img src="<?php echo home_url(); ?>/wp-content/uploads/2024/10/santa-clarita-valley.png" width="180" height="44" alt="Santa clarita valley">
                                            </div>
                                        </div>
                                        <div class="swiper-slide">
                                            <div class="award-img">
                                                <div class="award-info">
                                                    <span class="mask-img" style="-webkit-mask-image: url('<?php echo home_url(); ?>/wp-content/uploads/2024/10/tooltip-info.svg');"></span>
                                                    <div class="award-tooltip">
                                                        <h6 class="h6-title">RIA of the Year (Less than $1 billion AUM)</h6>
                                                        <p>We are thrilled to announce that our firm has been named RIA of the Year (Less than $1 billion AUM) at the Annual RIA Intel Awards.</p>
                                                        <a href="#" class="cta-link" title="Learn More">Learn More <span class="mask-img arrow-icon" style="-webkit-mask-image: url('<?php echo home_url(); ?>/wp-content/uploads/2024/10/btn-arrow.svg'); width:22px; height: 15px;"></span></a>
                                                    </div>
                                                </div>
                                                <img src="<?php echo home_url(); ?>/wp-content/uploads/2024/10/Inc-5000.png" width="107" height="102" alt="Inc 5000">
                                            </div>
                                        </div>
                                        <div class="swiper-slide">
                                            <div class="award-img">
                                                <div class="award-info">
                                                    <span class="mask-img" style="-webkit-mask-image: url('<?php echo home_url(); ?>/wp-content/uploads/2024/10/tooltip-info.svg');"></span>
                                                    <div class="award-tooltip">
                                                        <h6 class="h6-title">RIA of the Year (Less than $1 billion AUM)</h6>
                                                        <p>We are thrilled to announce that our firm has been named RIA of the Year (Less than $1 billion AUM) at the Annual RIA Intel Awards.</p>
                                                        <a href="#" class="cta-link" title="Learn More">Learn More <span class="mask-img arrow-icon" style="-webkit-mask-image: url('<?php echo home_url(); ?>/wp-content/uploads/2024/10/btn-arrow.svg'); width:22px; height: 15px;"></span></a>
                                                    </div>
                                                </div>
                                                <img src="<?php echo home_url(); ?>/wp-content/uploads/2024/10/elite-magazine.png" width="89" height="94" alt="Elite magazine">
                                            </div>
                                        </div>
                                        <div class="swiper-slide">
                                            <div class="award-img">
                                                <div class="award-info">
                                                    <span class="mask-img" style="-webkit-mask-image: url('<?php echo home_url(); ?>/wp-content/uploads/2024/10/tooltip-info.svg');"></span>
                                                    <div class="award-tooltip">
                                                        <h6 class="h6-title">RIA of the Year (Less than $1 billion AUM)</h6>
                                                        <p>We are thrilled to announce that our firm has been named RIA of the Year (Less than $1 billion AUM) at the Annual RIA Intel Awards.</p>
                                                        <a href="#" class="cta-link" title="Learn More">Learn More <span class="mask-img arrow-icon" style="-webkit-mask-image: url('<?php echo home_url(); ?>/wp-content/uploads/2024/10/btn-arrow.svg'); width:22px; height: 15px;"></span></a>
                                                    </div>
                                                </div>
                                                <img src="<?php echo home_url(); ?>/wp-content/uploads/2024/10/forbes.png" width="178" height="100" alt="Forbes">
                                            </div>
                                        </div>
                                        <div class="swiper-slide">
                                            <div class="award-img">
                                                <span class="mask-img" style="-webkit-mask-image: url('<?php echo home_url(); ?>/wp-content/uploads/2024/10/tooltip-info.svg');"></span>
                                                <img src="<?php echo home_url(); ?>/wp-content/uploads/2024/10/ria-intel.png" width="99" height="92" alt="RIA Intel">
                                            </div>
                                        </div> -->
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
        <!-- END OF CASE STUDIES WORKS -->

        <section class="faq">
            <div class="container">
                <div class="row">
                    <div class="col-lg-8 mx-auto">
                        <div class="faq-content-wp">
                            <div class="sec-title">
                                <h2 class="h2-title">FAQs</h2>
                                <div class="body-l">
                                    <p>Find answers to common questions about simplify365® services.</p>
                                </div>
                            </div>
                            <div class="faq-box-wp">
                                <div class="faq-box">
                                    <h5 class="h5-title faq-title">Should I put my spouse and/or children on payroll if they’re involved in my business? <span class="mask-img" style="-webkit-mask-image: url('<?php echo home_url(); ?>/wp-content/uploads/2024/10/faq-arrow.svg');"></span></h5>
                                    <div class="faq-content">
                                        <p>Determining the ideal retirement plan for your business depends on a wide range of factors including your specific goals, budget, and employee considerations. Our team will take the time to individually assess and provide tailored recommendations based on your unique circumstances.</p>
                                    </div>
                                </div>
                                <div class="faq-box">
                                    <h5 class="h5-title faq-title">Which type of retirement plan is best for my business? <span class="mask-img" style="-webkit-mask-image: url('<?php echo home_url(); ?>/wp-content/uploads/2024/10/faq-arrow.svg');"></span></h5>
                                    <div class="faq-content">
                                        <p>Determining the ideal retirement plan for your business depends on a wide range of factors including your specific goals, budget, and employee considerations. Our team will take the time to individually assess and provide tailored recommendations based on your unique circumstances.</p>
                                    </div>
                                </div>
                                <div class="faq-box">
                                    <h5 class="h5-title faq-title">Am I taking advantage of every tax deduction available to me and my business? <span class="mask-img" style="-webkit-mask-image: url('<?php echo home_url(); ?>/wp-content/uploads/2024/10/faq-arrow.svg');"></span></h5>
                                    <div class="faq-content">
                                        <p>Determining the ideal retirement plan for your business depends on a wide range of factors including your specific goals, budget, and employee considerations. Our team will take the time to individually assess and provide tailored recommendations based on your unique circumstances.</p>
                                    </div>
                                </div>
                            </div>
                            <div class="text-center">
                                <a href="#" class="sec-btn btn-transparent" title="Browse All">Browse All <span class="mask-img arrow-icon" style="-webkit-mask-image: url('<?php echo home_url(); ?>/wp-content/uploads/2024/10/btn-arrow.svg'); width:22px; height: 13px;"></span></a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
        <!-- END OF FAQ SECTION -->

        <section class="knowledge-center">
            <div class="container">
                <div class="card-wp">
                    <div class="row">
                        <div class="col-lg-12">
                            <div class="sec-title">
                                <h2 class="h2-title">simplify365® Knowledge Center </h2>
                                <p>Explore the simplify365® Knowledge Center for expert insights and tailored financial wisdom to empower your wealth management journey.</p>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-lg-4">
                            <div class="info-card">
                                <div class="card-img">
                                    <a href="#" title="How To Prioritize Business Growth" class="back-img" style="background-image: url('<?php echo home_url(); ?>/wp-content/uploads/2024/10/tax-planning-strategies.jpg')"></a>
                                </div>
                                <div class="card-content">
                                    <h4 class="h4-title">
                                        <a href="#" class="" title="How To Prioritize Business Growth">How To Prioritize Business Growth</a>
                                    </h4>
                                    <p>With The simplify365® Team In the fast-paced world of entrepreneurship, finding time to streamline operations and</p>
                                    <a href="#" class="cta-link" title="Read more">Read more <span class="mask-img arrow-icon" style="-webkit-mask-image: url('<?php echo home_url(); ?>/wp-content/uploads/2024/10/btn-arrow.svg'); width:22px; height: 15px;"></span></a>
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-4">
                            <div class="info-card">
                                <div class="card-img">
                                    <a href="#" title="How To Prioritize Business Growth" class="back-img" style="background-image: url('<?php echo home_url(); ?>/wp-content/uploads/2024/10/tax-planning-strategies.jpg')"></a>
                                </div>
                                <div class="card-content">
                                    <h4 class="h4-title">
                                        <a href="#" class="" title="How To Prioritize Business Growth">How To Prioritize Business Growth</a>
                                    </h4>
                                    <p>With The simplify365® Team In the fast-paced world of entrepreneurship, finding time to streamline operations and</p>
                                    <a href="#" class="cta-link" title="Read more">Read more <span class="mask-img arrow-icon" style="-webkit-mask-image: url('<?php echo home_url(); ?>/wp-content/uploads/2024/10/btn-arrow.svg'); width:22px; height: 15px;"></span></a>
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-4">
                            <div class="info-card">
                                <div class="card-img">
                                    <a href="#" title="How To Prioritize Business Growth" class="back-img" style="background-image: url('<?php echo home_url(); ?>/wp-content/uploads/2024/10/tax-planning-strategies.jpg')"></a>
                                </div>
                                <div class="card-content">
                                    <h4 class="h4-title">
                                        <a href="#" class="" title="How To Prioritize Business Growth">How To Prioritize Business Growth</a>
                                    </h4>
                                    <p>With The simplify365® Team In the fast-paced world of entrepreneurship, finding time to streamline operations and</p>
                                    <a href="#" class="cta-link" title="Read more">Read more <span class="mask-img arrow-icon" style="-webkit-mask-image: url('<?php echo home_url(); ?>/wp-content/uploads/2024/10/btn-arrow.svg'); width:22px; height: 15px;"></span></a>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="text-center">
                    <a href="#" class="sec-btn btn-transparent" title="View All">View All <span class="mask-img arrow-icon" style="-webkit-mask-image: url('<?php echo home_url(); ?>/wp-content/uploads/2024/10/btn-arrow.svg'); width:22px; height: 13px;"></span></a>
                </div>
            </div>
        </section>
        <!-- END OF FAQ SECTION -->

    </main>
</div>

<?php
get_footer();
