<!-- Inner Banner Section Start -->
<?php
// $about_banner_title = get_field('about_banner_title');
if (!empty(get_the_title())) {
    banner_details(get_the_title(), null);
}
?>
<!-- Inner Banner Section End -->

<!-- Main About Us Section Start -->
<?php
if (have_rows('about_details')) {
?>
    <section class="main-about-us-sec">
        <div class="container">
            <div class="main-about-us-row-wp">
                <?php
                while (have_rows('about_details')) {
                    the_row();

                    $about_details_title = get_sub_field('about_details_title');
                    $about_details_content = get_sub_field('about_details_content');
                    $about_details_video_thumbnail = get_sub_field('about_details_video_thumbnail');
                    $about_details_video_url = get_sub_field('about_details_video_url');

                    if (!empty($about_details_title) || !empty($about_details_content) || !empty($about_details_video_thumbnail)) {
                        if (get_row_index() % 2 !== 0) {
                ?>
                            <div class="main-about-us-row">
                                <div class="row">
                                    <div class="col-lg-6 align-self-center order-2 order-lg-1 wow left-animation">
                                        <div class="main-about-us-content">
                                            <div class="sec-title">
                                                <?php echo (!empty($about_details_title)) ? '<h2 class="h2-title">' . esc_html($about_details_title) . '</h2>' : ''; ?>
                                            </div>
                                            <?php
                                            if (!empty($about_details_content)) {
                                            ?>
                                                <div class="main-about-us-description-text">
                                                    <?php echo wp_kses_post($about_details_content); ?>
                                                </div>
                                            <?php
                                            } ?>
                                        </div>
                                    </div>
                                    <?php
                                    if (!empty($about_details_video_thumbnail)) {
                                    ?>
                                        <div class="col-lg-6 order-1 order-lg-2 wow right-animation">
                                            <div class="main-about-us-video">
                                                <div class="back-img"
                                                    style="background-image: url('<?php echo esc_url($about_details_video_thumbnail); ?>');">
                                                    <?php
                                                    if (!empty($about_details_video_url)) {
                                                        play_icon($about_details_video_url);
                                                    } ?>
                                                </div>
                                            </div>
                                        </div>
                                    <?php
                                    } ?>
                                </div>
                            </div>
                        <?php
                        } else { ?>
                            <div class="main-about-us-row even">
                                <div class="row">
                                    <div class="col-lg-6 wow left-animation">
                                        <div class="main-about-us-video">
                                            <div class="back-img"
                                                style="background-image: url('<?php echo esc_url($about_details_video_thumbnail); ?>');">
                                                <?php
                                                if (!empty($about_details_video_url)) {
                                                    play_icon($about_details_video_url);
                                                } ?>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-lg-6 align-self-center wow right-animation">
                                        <div class="main-about-us-content">
                                            <div class="sec-title">
                                                <?php echo (!empty($about_details_title)) ? '<h2 class="h2-title">' . esc_html($about_details_title) . '</h2>' : ''; ?>

                                            </div>
                                            <?php
                                            if (!empty($about_details_content)) {
                                            ?>
                                                <div class="main-about-us-description-text">
                                                    <?php echo wp_kses_post($about_details_content); ?>
                                                </div>
                                            <?php
                                            } ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <?php
                        }
                    }
                } ?>
            </div>
        </div>
    </section>
<?php
} ?>
<!-- Main About Us Section End -->

<!-- Our Commitment Section Start -->
<?php
$about_our_commitment_title = get_field('about_our_commitment_title');

if (have_rows('about_our_commitment_list')) {
?>
    <section class="our-commitment-sec">
        <div class="container">
            <div class="row">
                <div class="col-lg-12">
                    <div class="our-commitment-content">
                        <?php
                        if (!empty($about_our_commitment_title)) { ?>
                            <div class="sec-title text-center wow fadeup-animation">
                                <h2 class="h2-title"><?php echo esc_html($about_our_commitment_title); ?></h2>
                            </div>
                        <?php
                        } ?>
                        <div class="our-commitment-boxes">
                            <?php
                            while (have_rows('about_our_commitment_list')) {
                                the_row();
                                $our_commitement_list_image = get_sub_field('our_commitement_list_image');
                                $our_commitement_list_title = get_sub_field('our_commitement_list_title');
                                $our_commitement_list_content = get_sub_field('our_commitement_list_content');

                                if (!empty($our_commitement_list_image) || !empty($our_commitement_list_title) || !empty($our_commitement_list_content)) {
                            ?>
                                    <div class="planning-box wow fadeup-animation">
                                        <div class="planning-box-title">
                                            <?php if (!empty($our_commitement_list_image)) { ?>
                                                <img src="<?php echo esc_url($our_commitement_list_image['url']); ?>"
                                                    width="<?php echo esc_attr($our_commitement_list_image['width']); ?>"
                                                    height="<?php echo esc_attr($our_commitement_list_image['height']); ?>"
                                                    alt="<?php echo esc_attr($our_commitement_list_image['alt']); ?>">

                                            <?php }
                                            echo (!empty($our_commitement_list_title)) ? '<h5 class="h5-title">' . esc_html($our_commitement_list_title) . '</h5>' : ''; ?>

                                        </div>
                                        <?php
                                        if (!empty($our_commitement_list_content)) { ?>
                                            <div class="planning-box-content">
                                                <p><?php echo wp_kses_post($our_commitement_list_content); ?></p>
                                            </div>
                                        <?php
                                        } ?>
                                    </div>
                            <?php
                                }
                            } ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
<?php
} ?>
<!-- Our Commitment Section End -->

<!-- Discover Our Journey Section Start -->
<?php
$about_our_journey_title   =  get_field('about_our_journey_title');
$about_our_journey_content =  get_field('about_our_journey_content');

if (have_rows('about_our_journey')) {
?>
    <section class="discover-our-journey-sec">
        <div class="container">
            <div class="discover-our-journey-content">
                <div class="sec-title text-center wow fadeup-animation">
                    <?php 
                    if(!empty($about_our_journey_title)){?>
                        <h2 class="h2-title"><?php echo esc_html($about_our_journey_title); ?></h2>
                        <?php
                    }
                    //Content
                    echo (!empty($about_our_journey_content)) ? wp_kses_post($about_our_journey_content) : "";
                    ?>
                </div>
                <div class="discover-our-journey-wp">
                    <div class="discover-our-journey-bar">
                        <span></span>
                    </div>
                    <div class="discover-our-journey-row">
                        <?php
                        while (have_rows('about_our_journey')) {
                            the_row();

                            $our_journey_image   = get_sub_field('our_journey_image');
                            $our_journey_year    = get_sub_field('our_journey_year');
                            $our_journey_title   = get_sub_field('our_journey_title');
                            $our_journey_content = get_sub_field('our_journey_content');

                            if (!empty($our_journey_image) || !empty($our_journey_title) || !empty($our_journey_content)) {
                        ?>
                                <div class="discover-our-journey-box">
                                    <?php
                                    if (!empty($our_journey_image)) {
                                    ?>
                                        <div class="discover-our-journey-icon">
                                            <img src="<?php echo esc_url($our_journey_image['url']); ?>"
                                                width="<?php echo esc_attr($our_journey_image['width']); ?>"
                                                height="<?php echo esc_attr($our_journey_image['height']); ?>"
                                                alt="<?php echo esc_attr($our_journey_image['alt']); ?>">
                                        </div>
                                    <?php
                                    } ?>
                                    <div class="discover-our-journey-circle-icon"></div>
                                    <div class="discover-our-journey-text">
                                        <?php echo (!empty($our_journey_year)) ? '<h3 class="h3-title">' . esc_html($our_journey_year) . '</h3>' : '';

                                        echo (!empty($our_journey_title)) ? '<h5 class="h5-title">' . esc_html($our_journey_title) . '</h5>' : '';
                                        echo (!empty($our_journey_content)) ? wp_kses_post($our_journey_content) : ''; ?>
                                    </div>
                                </div>
                        <?php
                            }
                        } ?>
                    </div>
                </div>
            </div>
        </div>
    </section>
<?php
} ?>
<!-- Discover Our Journey Section End -->

<!-- Meet Our Team Section Start -->
<?php
$args = array(
    'post_type' => 'team-member',
    'post_status' => 'publish',
    'posts_per_page' => -1,
    'order' => 'asc',
);

$query = new wp_Query($args);

$about_our_team_title   = get_field('about_our_team_title');
$about_our_team_content = get_field('about_our_team_content');

if($query->have_posts()){ ?>
    <section class="meet-our-team-sec">
        <div class="container">
            <?php
            if(!empty($about_our_team_title) || !empty($about_our_team_content)){ ?>
                <div class="row">
                    <div class="col-lg-12">
                        <div class="sec-title text-center wow fadeup-animation">
                            <?php
                            if(!empty($about_our_team_title)){ ?>
                                <h2 class="h2-title"><?php echo esc_html($about_our_team_title); ?></h2>
                                <?php
                            }
                            if(!empty($about_our_team_content)){ ?>
                                <div class="body-l">
                                    <p> <?php echo wp_kses_post($about_our_team_content); ?></p>
                                </div>
                            <?php } ?>
                        </div>
                    </div>
                </div>
            <?php } ?>
            <div class="meet-our-team-row-wp">
                <div class="row">
                    <?php
                    while($query->have_posts()){
                        $query->the_post();
                        $member_images = get_field('image');
                        $designation = get_field('designation');
                        $certificates = get_field('certificates');
                        $post_thumb = get_the_post_thumbnail_url();
                    ?>
                    <div class="col-xl-3 col-lg-4 col-md-6 wow fadeup-animation">
                        <div class="meet-our-team-box">
                            <div class="meet-our-team-image-slider swiper">
                                <div class="swiper-wrapper">
                                    <?php
                                    if(!empty($post_thumb)){?>
                                        <div class="swiper-slide">
                                            <div class="meet-our-team-image back-img" style="background-image: url('<?php echo esc_url($post_thumb); ?>');"></div>
                                        </div>
                                        <?php
                                    }
                                    foreach($member_images as $member_image){ ?>
                                        <div class="swiper-slide">
                                            <div class="meet-our-team-image back-img" style="background-image: url('<?php echo esc_url($member_image['url']); ?>');"></div>
                                        </div>
                                    <?php } ?>
                                </div>
                            </div>
                            <div class="meet-our-team-image-content">
                                <div class="team-member-name">
                                    <a href="<?php echo get_the_permalink(); ?>" title="<?php echo get_the_title(); ?>">
                                        <h4 class="h4-title"><?php echo get_the_title(); ?></h4>
                                    </a>
                                </div>
                                <div class="team-member-image-details-text-slider swiper">
                                    <div class="swiper-wrapper">
                                    <?php
                                        if(!empty($designation) || !empty($certificates)){ ?>
                                            <div class="swiper-slide">
                                                <div class="team-member-image-details-text">
                                                    <?php
                                                    if(!empty($designation)){ ?>
                                                        <span class="profession"><?php echo $designation; ?></span>
                                                        <?php
                                                    }
                                                    if(!empty($certificates)){ ?>
                                                        <span class="certifications"><?php echo 'Certifications: '.$certificates; ?></span>
                                                    <?php } ?>
                                                </div>
                                            </div>
                                            <?php
                                        }
                                        if(have_rows('team_members_details', $query->ID)){
                                            while(have_rows('team_members_details', $query->ID)){
                                                the_row();
                                                $member_description = get_sub_field('member_description');
                                                if(!empty($member_description)){ ?>
                                                    <div class="swiper-slide">
                                                        <div class="team-member-image-details-text">
                                                            <span class="profession"><?php echo $member_description; ?></span>
                                                        </div>
                                                    </div>
                                                    <?php
                                                }
                                            }
                                        } ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <?php } ?>
                </div>
            </div>
        </div>
    </section>
    <?php } ?>
<!-- Meet Our Team Section End -->