<?php
$title = get_field("essential_business_solutions_banner_title");
$content = get_field("essential_business_solutions_content");
if(function_exists('banner_details')){
    banner_details($title, $content);
}
if(have_rows("solutions_details_list")){?>
    <!-- Business Solutions Start-->
    <section class="main-business-solutions">
        <?php 
        while(have_rows("solutions_details_list")){ the_row();

            $sol_title  = get_sub_field("solutions_details_title");
            $sol_flo_image  = get_sub_field("solutions_floating_image");
            $sol_image  = get_sub_field("solutions_details_image");
            $sol_content = get_sub_field("solutions_details_content");
            $sol_button_text = get_sub_field("solutions_details_button_text");
            $sol_button_url  = get_sub_field("solutions_details_button_url");
            $sol_point_title = get_sub_field("solutions_details_point_title");

            if(!empty($sol_title) || !empty($sol_image) || !empty($sol_flo_image) || !empty($sol_content) || !empty($sol_button_text) || !empty($sol_button_url) || !empty($sol_point_title) || have_rows("solutions_details_point_list") || have_rows("additional_points")){
                if(get_row_index() % 2 === 0){?>
                    <div class="business-solutions-sec even" <?php echo !empty($sol_title) ? 'id='.(sanitize_title($sol_title)) : ""; ?>>
                        <div class="container">
                            <div class="row">
                                <div class="col-lg-6 align-self-center order-2 order-lg-1 wow left-animation">
                                    <div class="business-solutions-content">
                                        <?php 
                                        if(!empty($sol_title)){?>
                                            <h2 class="h2-title"><?php echo esc_html($sol_title); ?></h2>
                                            <?php
                                        } 
                                        if(!empty($sol_content)){?>
                                            <div class="business-solutions-text">
                                               <?php echo wp_kses_post($sol_content); ?>
                                            </div>
                                            <?php
                                        }
                                        if(have_rows("additional_points")){?>
                                            <div class="efficient-box-wp">
                                                <?php 
                                                while(have_rows("additional_points")){ the_row();
                                                    $add_points_title   = get_sub_field("add_points_title");
                                                    $add_points_image   = get_sub_field("add_points_image");
                                                    $add_points_content = get_sub_field("add_points_content");
                                                    if(!empty($add_points_title) || !empty($add_points_image) || !empty($add_points_content)){?>
                                                        <div class="efficient-list">
                                                            <?php 
                                                            if(!empty($add_points_image)){?>
                                                                <div class="efficient-icon">
                                                                    <img src="<?php echo esc_url($add_points_image['url']); ?>" width="<?php echo esc_attr($add_points_image['width']); ?>" height="<?php echo esc_attr($add_points_image['height']); ?>" alt="<?php echo esc_attr($add_points_image['alt']); ?>">
                                                                </div>
                                                                <?php
                                                            }?>
                                                            <div class="efficient-content">
                                                                <?php 
                                                                if(!empty($add_points_title)){?>
                                                                    <h5 class="h5-title"><?php echo esc_html($add_points_title); ?></h5>
                                                                    <?php
                                                                }
                                                                echo !empty($add_points_content) ? wp_kses_post($add_points_content) : "";
                                                                ?>
                                                            </div>
                                                        </div>
                                                        <?php
                                                    }
                                                }?>
                                            </div>
                                            <?php
                                        }
                                        if(!empty($sol_button_text) && !empty($sol_button_url)){?>
                                            <div class="business-solutions-btn">
                                                <a href="<?php echo esc_url($sol_button_url); ?>" class="sec-btn btn-transparent" title="<?php echo esc_attr(ucfirst(strtolower($sol_button_text.", ".$sol_title))); ?>"><?php echo esc_attr($sol_button_text); ?><span class="mask-img arrow-icon" style="-webkit-mask-image: url('<?php echo home_url(); ?>/wp-content/uploads/2024/10/btn-arrow.svg'); width:22px; height: 15px;"></span></a>
                                            </div>
                                            <?php
                                        }?>
                                    </div>
                                </div>
                                <div class="col-lg-6 order-1 order-lg-2 wow right-animation">
                                    <div class="business-solutions-img <?php echo (have_rows("solutions_details_point_list")) ? "float-content-box" : ""; ?>">
                                        <?php
                                        if(!empty($sol_flo_image)){?>
                                            <div class="business-float-icon">
                                                <img src="<?php echo esc_url($sol_flo_image['url']); ?>" width="<?php echo esc_attr($sol_flo_image['width']); ?>" height="<?php echo esc_attr($sol_flo_image['height']); ?>" alt="<?php echo esc_attr($sol_flo_image['alt']); ?>">
                                            </div>
                                            <?php
                                        }
                                        if(!empty($sol_image)){?>
                                            <img class="img-box" src="<?php echo esc_url($sol_image['url']); ?>" width="<?php echo esc_attr($sol_image['width']); ?>" height="<?php echo esc_attr($sol_image['height']); ?>" alt="<?php echo esc_attr($sol_image['alt']); ?>">
                                            <?php
                                        } 
                                        if(!empty($sol_point_title) || have_rows("solutions_details_point_list")){?>
                                            <div class="mistakes-box">
                                                <?php 
                                                if(!empty($sol_point_title)){?>
                                                    <h5 class="h5-title"><?php echo esc_html($sol_point_title); ?></h5>
                                                    <?php
                                                } 
                                                if(have_rows("solutions_details_point_list")){?>
                                                    <div class="mistakes-box-list">
                                                        <ul>
                                                            <?php 
                                                            while(have_rows("solutions_details_point_list")){ the_row();
                                                                $point_list_image   = get_sub_field("point_list_image");
                                                                $point_list_title   = get_sub_field("point_list_title");
                                                                if(!empty($point_list_title) || !empty($point_list_image)){?>
                                                                    <li>
                                                                        <?php 
                                                                         if(!empty($point_list_image)){?>
                                                                            <div class="mistakes-icon">
                                                                                <img src="<?php echo esc_url($point_list_image['url']) ?>" width="<?php echo esc_attr($point_list_image['width']) ?>" height="<?php echo esc_attr($point_list_image['height']) ?>" alt="<?php echo esc_attr($point_list_image['alt']) ?>">
                                                                            </div>
                                                                            <?php
                                                                        }
                                                                        if(!empty($point_list_title)){?>
                                                                            <div class="mistakes-content"><?php echo esc_html($point_list_title); ?></div>
                                                                            <?php
                                                                        }?>
                                                                    </li>
                                                                    <?php
                                                                }
                                                            }?>
                                                        </ul>
                                                    </div>
                                                    <?php
                                                }?>
                                            </div>
                                            <?php
                                        }?>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <?php
                }else{?>
                    <div class="business-solutions-sec odd" <?php echo !empty($sol_title) ? 'id='.(sanitize_title($sol_title)) : ""; ?>>
                        <div class="container">
                            <div class="row">
                                <div class="col-lg-6 wow left-animation">
                                    <div class="business-solutions-img <?php echo (have_rows("solutions_details_point_list")) ? "float-content-box" : ""; ?>">
                                        <?php 
                                        if(!empty($sol_flo_image)){?>
                                            <div class="business-float-icon">
                                                <img src="<?php echo esc_url($sol_flo_image['url']); ?>" width="<?php echo esc_attr($sol_flo_image['width']); ?>" height="<?php echo esc_attr($sol_flo_image['height']); ?>" alt="<?php echo esc_attr($sol_flo_image['alt']); ?>">
                                            </div>
                                            <?php
                                        }
                                        if(!empty($sol_image)){?>
                                            <img class="img-box" src="<?php echo esc_url($sol_image['url']); ?>" width="<?php echo esc_attr($sol_image['width']); ?>" height="<?php echo esc_attr($sol_image['height']); ?>" alt="<?php echo esc_attr($sol_image['alt']); ?>">
                                            <?php
                                        }
                                        if(!empty($sol_point_title) || have_rows("solutions_details_point_list")){?>
                                            <div class="mistakes-box">
                                                <?php 
                                                if(!empty($sol_point_title)){?>
                                                    <h5 class="h5-title"><?php echo esc_html($sol_point_title); ?></h5>
                                                    <?php
                                                } 
                                                if(have_rows("solutions_details_point_list")){?>
                                                    <div class="mistakes-box-list">
                                                        <ul>
                                                            <?php 
                                                            while(have_rows("solutions_details_point_list")){ the_row();
                                                                $point_list_image   = get_sub_field("point_list_image");
                                                                $point_list_title   = get_sub_field("point_list_title");
                                                                if(!empty($point_list_title) || !empty($point_list_image)){?>
                                                                    <li>
                                                                        <?php 
                                                                         if(!empty($point_list_image)){?>
                                                                            <div class="mistakes-icon">
                                                                                <img src="<?php echo esc_url($point_list_image['url']) ?>" width="<?php echo esc_attr($point_list_image['width']) ?>" height="<?php echo esc_attr($point_list_image['height']) ?>" alt="<?php echo esc_attr($point_list_image['alt']) ?>">
                                                                            </div>
                                                                            <?php
                                                                        }
                                                                        if(!empty($point_list_title)){?>
                                                                            <div class="mistakes-content"><?php echo esc_html($point_list_title); ?></div>
                                                                            <?php
                                                                        }?>
                                                                    </li>
                                                                    <?php
                                                                }
                                                            }?>
                                                        </ul>
                                                    </div>
                                                    <?php
                                                }?>
                                            </div>
                                            <?php
                                        }?>
                                    </div>
                                </div>
                                <div class="col-lg-6 align-self-center wow right-animation">
                                    <div class="business-solutions-content">
                                        <?php 
                                        if(!empty($sol_title)){?>
                                            <h2 class="h2-title"><?php echo esc_html($sol_title); ?></h2>
                                            <?php
                                        } 
                                        if(!empty($sol_content)){?>
                                            <div class="business-solutions-text">
                                               <?php echo wp_kses_post($sol_content); ?>
                                            </div>
                                            <?php
                                        } 
                                        if(have_rows("additional_points")){?>
                                            <div class="efficient-box-wp">
                                                <?php 
                                                while(have_rows("additional_points")){ the_row();
                                                    $add_points_title   = get_sub_field("add_points_title");
                                                    $add_points_image   = get_sub_field("add_points_image");
                                                    $add_points_content = get_sub_field("add_points_content");
                                                    if(!empty($add_points_title) || !empty($add_points_image) || !empty($add_points_content)){?>
                                                        <div class="efficient-list">
                                                            <?php 
                                                            if(!empty($add_points_image)){?>
                                                                <div class="efficient-icon">
                                                                    <img src="<?php echo esc_url($add_points_image['url']); ?>" width="<?php echo esc_attr($add_points_image['width']); ?>" height="<?php echo esc_attr($add_points_image['height']); ?>" alt="<?php echo esc_attr($add_points_image['alt']); ?>">
                                                                </div>
                                                                <?php
                                                            }?>
                                                            <div class="efficient-content">
                                                                <?php 
                                                                if(!empty($add_points_title)){?>
                                                                    <h5 class="h5-title"><?php echo esc_html($add_points_title); ?></h5>
                                                                    <?php
                                                                }
                                                                echo !empty($add_points_content) ? wp_kses_post($add_points_content) : "";
                                                                ?>
                                                            </div>
                                                        </div>
                                                        <?php
                                                    }
                                                }?>
                                            </div>
                                            <?php
                                        }
                                        if(!empty($sol_button_text) && !empty($sol_button_url)){?>
                                            <div class="business-solutions-btn">
                                                <a href="<?php echo esc_url($sol_button_url); ?>" class="sec-btn btn-transparent" title="<?php echo esc_attr(ucfirst(strtolower($sol_button_text.", ".$sol_title))); ?>"><?php echo esc_attr($sol_button_text); ?><span class="mask-img arrow-icon" style="-webkit-mask-image: url('<?php echo home_url(); ?>/wp-content/uploads/2024/10/btn-arrow.svg'); width:22px; height: 15px;"></span></a>
                                            </div>
                                            <?php
                                        }?>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <?php
                }
            }
        }?>
    </section>
    <!-- Business Solutions End   -->
    <?php
}?>
<!-- Case Studies Section Start -->
<?php get_template_part('template-parts/content', 'case-studies-section'); ?>
<!-- Case Studies Section End -->
<?php 
$essential_buss_cta_title   = get_field("essential_buss_cta_title");
$essential_buss_cta_content = get_field("essential_buss_cta_content");
if(function_exists('cta_service_section')){
    cta_service_section($essential_buss_cta_title, $essential_buss_cta_content);
}?>
