<?php
$page_id = get_the_ID();
$Case_studies_posts = get_field('case_studies_post', $page_id);

// echo '<pre>'; print_r( $Case_studies_posts ); echo '</pre>';


$args = array(
    'post_type' => 'case-studies',
    'post_status' => 'publish',
    'posts_per_page' => -1,
);

if(!empty($Case_studies_posts)){
    $args['tax_query'] = array(
        array(
            'taxonomy' => 'case-studies-category',
            'field'=> 'slug',
            'terms' => $Case_studies_posts,
        ),
    );
}

$query = new WP_Query($args);


if ($query->have_posts()) {

    ?>

    <section class="case-studies">

        <div class="container">

            <div class="row">

                <div class="col-lg-12">

                    <div class="sec-head wow fadeup-animation" data-wow-duration="0.8s" data-wow-delay="0.2s">

                        <?php

                        $case_studies_title = get_field('case_studies_title', 'option');
                        $case_stuides_content = get_field('case_stuides_content', 'option');
                        $case_studies_button_text = get_field('case_studies_button_text', 'option');
                        $case_studies_button_url = get_field('case_studies_button_url', 'option');

                        if (!empty($case_studies_title) || !empty($case_stuides_content)) {

                            ?>

                            <div class="sec-title">

                                <?php echo (!empty($case_studies_title)) ? '<h2 class="h2-title">' . esc_html($case_studies_title) . '</h2>' : ''; ?>

                                <div class="body-l">

                                    <p><?php echo wp_kses_post($case_stuides_content); ?></p>

                                </div>

                            </div>

                            <?php

                        }

                        if (!empty($case_studies_button_text) && !empty($case_studies_button_url)) { ?>

                            <a href="<?php echo esc_url($case_studies_button_url); ?>" class="sec-btn btn-transparent"
                                title="<?php echo esc_attr($case_studies_button_text); ?>"><?php echo esc_html($case_studies_button_text); ?><span
                                    class="mask-img arrow-icon"
                                    style="-webkit-mask-image: url('<?php echo home_url(); ?>/wp-content/uploads/2024/10/btn-arrow.svg'); width:22px; height: 15px;"></span></a>

                            <?php

                        } ?>

                    </div>

                    <div class="case-studies-slider-wp wow fadeup-animation" data-wow-duration="0.8s" data-wow-delay="0.3s">

                        <div class="case-studies-slider swiper">

                            <div class="swiper-wrapper">

                                <?php

                                while ($query->have_posts()) {

                                    $query->the_post();

                                    $video_url = get_field('video_url');
                                    ?>

                                        <div class="swiper-slide">

                                            <div class="case-studies-slide">

                                                <div class="case-studies-img back-img"
                                                    style="background-image: url('<?php the_post_thumbnail_url(); ?>');">

                                                    <?php

                                                    if (!empty($video_url)) {

                                                        play_icon($video_url);

                                                    } ?>

                                                </div>

                                                <div class="case-studies-content">
                                                    <h6 class="h6-title"><?php the_title(); ?></h6>
                                                    <div class="case-studies-text">
                                                        <?php the_content(); ?>
                                                    </div>

                                                    <?php

                                                    $learn_more_button_text = get_field('learn_more_button_text', 'option');

                                                    if (!empty($learn_more_button_text)) {
                                                        ?>

                                                        <!-- <a href="#" class="cta-link"
                                                            title="<?php //echo esc_attr($learn_more_button_text); ?>"><?php echo esc_html($learn_more_button_text); ?><span
                                                                class="mask-img arrow-icon"
                                                                style="-webkit-mask-image: url('<?php //echo home_url(); ?>/wp-content/uploads/2024/10/btn-arrow.svg'); width:22px; height: 15px;"></span></a> -->

                                                        <?php

                                                    } ?>

                                                </div>

                                            </div>

                                        </div>

                                    <?php
                                } ?>

                            </div>

                        </div>
                        <?php 
                        $total_post = $query->found_posts;

                        if($total_post >= 2){
                            ?>
                            <div class="pagination-case-study"></div>
                            <div class="swiper-button-prev swiper-arrow case-studies-prev"></div>
                            <div class="swiper-button-next swiper-arrow case-studies-next"></div>
                            <?php 
                        } ?>
                    </div>

                </div>

            </div>

        </div>

    </section>

    <?php
wp_reset_postdata();
} ?>