<?php
$home_banner_title = get_field('home_banner_title');
$home_banner_content = get_field('home_banner_content');
$home_banner_video_thumbanail = get_field('home_banner_video_thumbanail');
$home_banner_video_url = get_field('home_banner_video_url');
$home_banner_guide_title = get_field('home_banner_guide_title');
$home_banner_guide_content = get_field('home_banner_guide_content');
$home_banner_download_button_text = get_field('home_banner_download_button_text');
$home_banner_popup_form = get_field('home_banner_popup_form');
if (!empty($home_banner_title) || !empty($home_banner_content) || !empty($home_banner_video_thumbanail) || !empty($home_banner_video_url) || !empty($home_banner_guide_title) || !empty($home_banner_guide_content)) {
?>
    <section class="main-banner">
        <div class="container">
            <div class="row">
                <div class="col-lg-12">
                    <div class="banner-blocks">
                        <div class="banner-content-box wow fadeup-animation" data-wow-duration="0.8s" data-wow-delay="0.2s">
                            <div class="banner-content">
                                <?php echo (!empty($home_banner_title)) ? '<h1 class="h1-title">' . esc_html($home_banner_title) . '</h1>' : '';
                                if (!empty($home_banner_content)) {
                                ?>
                                    <div class="body-l">
                                        <?php echo wp_kses_post($home_banner_content); ?>
                                    </div>
                                <?php
                                }
                                $appointment_button_text = get_field('appointment_button_text', 'option');
                                $appointment_button_url = get_field('appointment_button_url', 'option');
                                if (!empty($appointment_button_text && $appointment_button_url)) { ?>
                                    <div class="banner-btn">
                                        <a href="<?php echo esc_url($appointment_button_url); ?>" class="sec-btn"
                                            title="<?php echo esc_attr($appointment_button_text); ?>"><?php echo esc_html($appointment_button_text); ?></a>
                                    </div>
                                <?php
                                } ?>
                            </div>
                        </div>
                        <?php
                        if (!empty($home_banner_video_thumbanail)) {
                        ?>
                            <div class="banner-video-wp wow fadeup-animation" data-wow-duration="0.8s" data-wow-delay="0.3s">
                                <div class="back-img"
                                    style="background-image: url('<?php echo esc_url($home_banner_video_thumbanail); ?>');">
                                    <?php
                                    if (!empty($home_banner_video_url)) {
                                        play_icon($home_banner_video_url);
                                    } ?>
                                </div>
                            </div>
                        <?php
                        } ?>
                        <div class="tax-pitfalls wow fadeup-animation" data-wow-duration="0.8s" data-wow-delay="0.4s">
                            <div class="tax-pitfalls-wp white-text">
                                <div class="tax-pitfalls-content">
                                    <?php
                                    if (!empty($home_banner_guide_title)) {
                                    ?>
                                        <div class="body-xl">
                                            <h5><?php echo esc_html($home_banner_guide_title); ?></h5>
                                        </div>
                                    <?php
                                    }
                                    echo (!empty($home_banner_guide_content)) ? wp_kses_post($home_banner_guide_content) : ''; ?>
                                </div>
                                <?php if (!empty($home_banner_download_button_text)) { ?>
                                    <button class="sec-btn white-btn sm-btn" data-bs-toggle="modal"
                                        data-bs-target="#download_newsletter"
                                        title="<?php echo esc_attr($home_banner_download_button_text); ?>"><?php echo esc_html($home_banner_download_button_text); ?></button>
                                <?php
                                } ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
<?php
} ?>
<!-- END OF MAIN BANNER -->
<?php
$home_about_title = get_field('home_about_title');
$home_about_content = get_field('home_about_content');
$home_about_button_text = get_field('home_about_button_text');
$home_about_button_url = get_field('home_about_button_url');
?>
<section class="manage-wealth" id="our-services">
    <div class="container">
        <?php
        if (!empty($home_about_title) || !empty($home_about_content) || !empty($home_about_button_text)) {
        ?>
            <div class="row">
                <div class="col-lg-12">
                    <div class="sec-title wow fadeup-animation" data-wow-duration="0.8s" data-wow-delay="0.5s">
                        <?php echo (!empty($home_about_title)) ? '<h2 class="h2-title">' . esc_html($home_about_title) . '</h2>' : '';
                        if (!empty($home_about_content)) {
                        ?>
                            <div class="title-text">
                                <?php echo wp_kses_post($home_about_content); ?>
                                <?php if (!empty($home_about_button_text) && !empty($home_about_button_url)) { ?>
                                    <a href="<?php echo esc_url($home_about_button_url); ?>" class="sec-btn btn-transparent"
                                        title="<?php echo esc_attr($home_about_button_text); ?>"><?php echo esc_html($home_about_button_text); ?><span
                                            class="mask-img arrow-icon"
                                            style="-webkit-mask-image: url('<?php echo home_url(); ?>/wp-content/uploads/2024/10/btn-arrow.svg'); width:22px; height: 15px;"></span></a>
                                <?php
                                } ?>
                            </div>
                        <?php
                        } ?>
                    </div>
                </div>
            </div>
        <?php
        }
        if (have_rows('home_about_list')) {
        ?>
            <div class="wealth-tiles">
                <div class="row">
                    <?php
                    while (have_rows('home_about_list')) {
                        the_row();
                        $home_about_list_image = get_sub_field('home_about_list_image');
                        $home_about_list_title = get_sub_field('home_about_list_title');
                        $home_about_data_count = get_sub_field('home_about_data_count');
                        if (!empty($home_about_list_image) || !empty($home_about_list_title) || !empty($home_about_data_count)) {
                    ?>
                            <div class="col-lg-6">
                                <div class="wealth-tiles-box">
                                    <?php echo (!empty($home_about_list_image)) ? '<div class="tiles-box-img back-img wow fadedown-animation" style="background-image: url(' . esc_html($home_about_list_image) . ');"></div>' : '';
                                    if (!empty($home_about_data_count) || !empty($home_about_list_title)) {
                                    ?>
                                        <div class="tiles-box-content wow fadedown-animation">
                                            <div class="body-l">
                                                <p><?php echo esc_html($home_about_list_title); ?></p>
                                            </div>
                                            <?php echo (!empty($home_about_data_count)) ? '<span>' . wp_kses($home_about_data_count, array('sub' => array())) . '</span>' : '';
                                            ?>
                                        </div>
                                    <?php
                                    } ?>
                                </div>
                            </div>
                    <?php
                        }
                    } ?>
                </div>
            </div>
        <?php
        } ?>
    </div>
</section>
<!-- END OF MANAGE WEALTH -->
<?php
$home_how_it_work_title = get_field('home_how_it_work_title');
$home_how_it_work_content = get_field('home_how_it_work_content');
if (have_rows('how_it_work_steps')) {
?>
    <section class="how-it-works">
        <div class="container">
            <div class="row">
                <div class="col-lg-12">
                    <div class="how-it-works-content">
                        <div class="sec-title wow fadeup-animation" data-wow-duration="0.8s" data-wow-delay="0.2s">
                            <?php echo (!empty($home_how_it_work_title)) ? '<h2 class="h2-title">' . esc_html($home_how_it_work_title) . '</h2>' : '';
                            if (!empty($home_how_it_work_content)) {
                            ?>
                                <div class="body-l">
                                    <?php echo wp_kses_post($home_how_it_work_content); ?>
                                </div>
                            <?php
                            } ?>
                        </div>
                        <div class="works-content-wp wow fadeup-animation" data-wow-duration="0.8s" data-wow-delay="0.3s">
                            <div class="works-bar">
                                <span></span>
                            </div>
                            <div class="works-content">
                                <?php
                                while (have_rows('how_it_work_steps')) {
                                    the_row();
                                    $how_it_work_setps_image = get_sub_field('how_it_work_setps_image');
                                    $how_it_work_steps_title = get_sub_field('how_it_work_steps_title');
                                    $how_it_work_steps_content = get_sub_field('how_it_work_steps_content');
                                    if (!empty($how_it_work_setps_image) || !empty($how_it_work_steps_title) || !empty($how_it_work_steps_content)) {
                                ?>
                                        <div class="works-content-box">
                                            <?php
                                            if (!empty($how_it_work_setps_image)) {
                                            ?>
                                                <img src="<?php echo esc_url($how_it_work_setps_image['url']); ?>"
                                                    width="<?php echo esc_attr($how_it_work_setps_image['width']); ?>"
                                                    height="<?php echo esc_attr($how_it_work_setps_image['height']); ?>"
                                                    alt="<?php echo esc_attr($how_it_work_setps_image['alt']); ?>">
                                            <?php
                                            } ?>
                                            <?php echo (!empty($how_it_work_steps_title)) ? '<h2 class="h5-title">' . esc_html($how_it_work_steps_title) . '</h2>' : '';
                                            echo (!empty($how_it_work_steps_content)) ? wp_kses_post($how_it_work_steps_content) : ''; ?>
                                        </div>
                                <?php
                                    }
                                } ?>
                            </div>
                        </div>
                        <?php
                        $home_how_it_work_video_thumbnail = get_field('home_how_it_work_video_thumbnail');
                        $home_how_it_work_video_url = get_field('home_how_it_work_video_url');
                        if (!empty($home_how_it_work_video_thumbnail)) {
                        ?>
                            <div class="collaborate-video wow fadeup-animation" data-wow-duration="0.8s" data-wow-delay="0.2s">
                                <div class="back-img"
                                    style="background-image: url('<?php echo esc_url($home_how_it_work_video_thumbnail); ?>');">
                                    <?php
                                    if (!empty($home_how_it_work_video_url)) {
                                        play_icon($home_how_it_work_video_url);
                                    } ?>
                                </div>
                            </div>
                        <?php
                        } ?>
                    </div>
                </div>
            </div>
        </div>
    </section>
<?php
} ?>
<!-- END OF HOW IT WORKS -->
<?php
$home_our_plans_title = get_field('home_our_plans_title');
$home_our_plans_content = get_field('home_our_plans_content');
$home_our_plans_image = get_field('home_our_plans_image');
$home_our_plans_description = get_field('home_our_plans_description');
$home_our_plans_button_text = get_field('home_our_plans_button_text');
$home_how_our_plans_button_url = get_field('home_how_our_plans_button_url');
if (!empty($home_our_plans_title) || !empty($home_our_plans_content) || !empty($home_our_plans_image)) {
?>
    <section class="our-plans">
        <div class="container">
            <div class="row">
                <div class="col-lg-6 align-self-center">
                    <div class="our-plans-content">
                        <div class="sec-title wow fadeup-animation" data-wow-duration="0.8s" data-wow-delay="0.2s">
                            <?php echo (!empty($home_our_plans_title)) ? '<h2 class="h2-title">' . esc_html($home_our_plans_title) . '</h2>' : '';
                            echo (!empty($home_our_plans_content)) ? wp_kses_post($home_our_plans_content) : '';
                            ?>
                        </div>
                        <?php
                        if (have_rows('home_our_plans_list')) {
                        ?>
                            <div class="planning-boxes wow fadeup-animation" data-wow-duration="0.8s" data-wow-delay="0.3s">
                                <?php
                                while (have_rows('home_our_plans_list')) {
                                    the_row();
                                    $our_plans_list_image   = get_sub_field('our_plans_list_image');
                                    $our_plans_list_title   = get_sub_field('our_plans_list_title');
                                    $our_plans_list_content = get_sub_field('our_plans_list_content');
                                    $our_plans_list_url     = get_sub_field('our_plans_list_url');
                                    $home_our_plans_section_id = get_sub_field('home_our_plans_section_id');

                                    if (!empty($our_plans_list_image) || !empty($our_plans_list_title) || !empty($our_plans_list_content)) {
                                    ?>
                                        <div class="planning-box">
                                            <div class="planning-box-title planning-primary">
                                                <?php
                                                if (!empty($our_plans_list_title)) {
                                                ?>
                                                    <img src="<?php echo esc_url($our_plans_list_image['url']); ?>"
                                                        width="<?php echo esc_attr($our_plans_list_image['width']); ?>"
                                                        height="<?php echo esc_attr($our_plans_list_image['height']); ?>"
                                                        alt="<?php echo esc_attr($our_plans_list_image['alt']); ?>">
                                                <?php }
                                                if(!empty($our_plans_list_title)){
                                                    ?>
                                                    <h5 class="h5-title"><a href="<?php echo(!empty($our_plans_list_url)) ? esc_url($our_plans_list_url): esc_url($home_how_our_plans_button_url).'#'. sanitize_title($home_our_plans_section_id);?>" title=""><?php echo wp_kses($our_plans_list_title, array('span' => array())); ?></a></h5>
                                                <?php 
                                                }?>
                                                </div>
                                            <?php
                                            if (!empty($our_plans_list_content)) {
                                            ?>
                                                <div class="planning-box-content">
                                                    <p><?php echo esc_html($our_plans_list_content); ?></p>
                                                </div>
                                            <?php
                                            } ?>
                                        </div>
                                <?php
                                    }
                                } ?>
                            </div>
                        <?php
                        } ?>
                    </div>
                </div>
                <?php
                if (!empty($home_our_plans_image)) {
                ?>
                    <div class="col-lg-6">
                        <div class="our-team-image wow fadeup-animation" data-wow-duration="0.8s" data-wow-delay="0.4s">
                            <div class="back-img"
                                style="background-image: url('<?php echo esc_url($home_our_plans_image); ?>');">
                            </div>
                            <div class="more-about-simplify white-text">
                                <?php
                                if (!empty($home_our_plans_description)) {
                                ?>
                                    <div class="body-xl">
                                        <p><?php echo esc_html($home_our_plans_description); ?></p>
                                    </div>
                                <?php
                                }
                                if (!empty($home_our_plans_button_text) && !empty($home_how_our_plans_button_url)) { ?>
                                    <a href="<?php echo esc_url($home_how_our_plans_button_url); ?>"
                                        class="sec-btn sm-btn white-btn"
                                        title="<?php echo esc_attr($home_our_plans_button_text); ?>"><?php echo esc_html($home_our_plans_button_text); ?></a>
                                <?php
                                } ?>
                            </div>
                        </div>
                    </div>
                <?php
                } ?>
            </div>
        </div>
    </section>
<?php
} ?>
<!-- END OF HOW IT WORKS -->
<?php
$home_tax_planing_image = get_field('home_tax_planing_image');
$home_tax_planing_title = get_field('home_tax_planing_title');
$home_tax_planing_content = get_field('home_tax_planing_content');
$home_tax_planing_button_text = get_field('home_tax_planing_button_text');
$home_tax_planing_button_url = get_field('home_tax_planing_button_url');
if (!empty($home_tax_planing_image) || !empty($home_tax_planing_title) || !empty($home_tax_planing_content)) {
?>
    <section class="opportunity-analysis">
        <div class="container">
            <div class="opportunity-content wow fadeup-animation" data-wow-duration="0.8s" data-wow-delay="0.2s">
                <div class="row">
                    <div class="col-xl-4">
                        <div class="opportunity-image for-des-flex">
                            <?php
                            $background_shape = get_field('background_shape', 'option');
                            if (!empty($home_tax_planing_image) || !empty($background_shape)) {
                            ?>
                                <img src="<?php echo esc_url($home_tax_planing_image['url']); ?>"
                                    width="<?php echo esc_attr($home_tax_planing_image['width']); ?>"
                                    height="<?php echo esc_attr($home_tax_planing_image['height']); ?>"
                                    alt="<?php echo esc_attr($home_tax_planing_image['alt']); ?>">
                                <span class="mask-img vance-icon"
                                    style="-webkit-mask-image: url('<?php echo esc_url($background_shape); ?>');"></span>
                            <?php
                            } ?>
                        </div>
                    </div>
                    <div class="col-xl-8">
                        <div class="opportunity-text white-text">
                            <?php echo (!empty($home_tax_planing_title)) ? '<h2 class="h2-title">' . esc_html($home_tax_planing_title) . '</h2>' : '';
                            echo (!empty($home_tax_planing_content)) ? wp_kses_post($home_tax_planing_content) : '';
                            if (!empty($home_tax_planing_button_text) && !empty($home_tax_planing_button_url)) {
                            ?>
                                <a href="<?php echo esc_url($home_tax_planing_button_url); ?>" class="sec-btn white-btn"
                                    title="<?php echo esc_attr($home_tax_planing_button_text); ?>"><?php echo esc_html($home_tax_planing_button_text); ?><span
                                        class="mask-img arrow-icon for-des-flex"
                                        style="-webkit-mask-image: url('<?php echo home_url(); ?>/wp-content/uploads/2024/10/btn-arrow.svg'); width:22px; height: 15px;"></span></a>
                            <?php
                            } ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
<?php
} ?>
<!-- END OF HOW IT WORKS -->
<?php get_template_part('template-parts/content', 'case-studies-section'); ?>
<!-- END OF CASE STUDIES WORKS -->
<?php
$home_recognition_awards_title = get_field('home_recognition_awards_title');
$home_recognition_awards_content = get_field('home_recognition_awards_content');
if (have_rows('home_recognition_awards_list')) {
?>
    <section class="awards">
        <div class="container">
            <div class="row">
                <div class="col-lg-12">
                    <div class="awards-content">
                        <?php
                        if (!empty($home_recognition_awards_title) || !empty($home_recognition_awards_content)) {
                        ?>
                            <div class="sec-title wow fadeup-animation" data-wow-duration="0.8s" data-wow-delay="0.2s">
                                <?php echo (!empty($home_recognition_awards_title)) ? '<h2 class="h2-title">' . esc_html($home_recognition_awards_title) . '</h2>' : '';
                                echo (!empty($home_recognition_awards_content)) ? wp_kses_post($home_recognition_awards_content) : '';
                                ?>
                            </div>
                        <?php
                        } ?>
                        <div class="awards-slider-wp wow fadeup-animation" data-wow-duration="0.8s" data-wow-delay="0.3s">
                            <div class="awards-slider swiper">
                                <div class="swiper-wrapper">
                                    <?php
                                    while (have_rows('home_recognition_awards_list')) {
                                        the_row();
                                        $recognition_awards_image = get_sub_field('recognition_awards_image');
                                        $recognition_awards_title = get_sub_field('recognition_awards_title');
                                        $recognition_awards_content = get_sub_field('recognition_awards_content');
                                        $recognition_awards_button_text = get_sub_field('recognition_awards_button_text');
                                        $recognition_awards_button_url = get_sub_field('recognition_awards_button_url');
                                        $response = "";

                                        $response .= "<div class='award-tooltip' role='tooltip'>";
                                        
                                        if (!empty($recognition_awards_title)) {
                                            $response .= "<h6 class='h6-title'>" . esc_html($recognition_awards_title) . "</h6>";
                                        }
                                        
                                        if (!empty($recognition_awards_content)) {
                                            $response .= "<p>" . esc_html($recognition_awards_content) . "</p>";
                                        }
                                        
                                        if (!empty($recognition_awards_button_text) && !empty($recognition_awards_button_url)) { 
                                            $response .= "<a href='" . esc_url($recognition_awards_button_url) . "' class='cta-link' target='_blank' title='" . esc_attr($recognition_awards_button_text) . "'>" . esc_html($recognition_awards_button_text) . "
                                                <span class='mask-img arrow-icon' data-test style='-webkit-mask-image: url(" . home_url() . "/wp-content/uploads/2024/10/btn-arrow.svg); width:22px; height: 15px;'></span>
                                            </a>";
                                        }
                                        $response .= "<div class='tooltip-arrow' data-popper-arrow></div>";
                                        $response .= "</div>"; 
                                        if (!empty($recognition_awards_image)) {
                                    ?>
                                            <div class="swiper-slide">
                                                <div class="award-img">
                                                    <?php
                                                    if (!empty($recognition_awards_title) || !empty($recognition_awards_content)) {
                                                    ?>
                                                        <div class="award-info">
                                                            <button 
                                                            class="mask-img"
                                                            type="button"
                                                            data-bs-toggle="tooltip"
                                                            data-bs-html="true"
                                                            style="-webkit-mask-image: url('<?php echo home_url(); ?>/wp-content/uploads/2024/10/tooltip-info.svg');"
                                                            title="<?php echo $response; ?>"
                                                            >                                                            
                                                        </button>

                                                        </div>
                                                    <?php
                                                    } ?>
                                                    <img src="<?php echo esc_url($recognition_awards_image['url']); ?>"
                                                        width="<?php echo esc_attr($recognition_awards_image['width']); ?>"
                                                        height="<?php echo esc_attr($recognition_awards_image['height']); ?>"
                                                        alt="<?php echo esc_attr($recognition_awards_image['alt']); ?>">
                                                </div>
                                            </div>
                                    <?php
                                        }
                                    } ?>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
<?php
} ?>
<!-- END OF CASE STUDIES WORKS -->
<?php
$home_faqs_title = get_field('home_faqs_title');
$home_faqs_content = get_field('home_faqs_content');
if (have_rows('home_faqs_questions_list')) {
?>
    <section class="faq">
        <div class="container">
            <div class="row">
                <div class="col-lg-8 mx-auto">
                    <div class="faq-content-wp">
                        <div class="sec-title wow fadeup-animation" data-wow-duration="0.8s" data-wow-delay="0.2s">
                            <?php echo (!empty($home_faqs_title)) ? '<h2 class="h2-title">' . esc_html($home_faqs_title) . '</h2>' : '';
                            if (!empty($home_faqs_content)) {
                            ?>
                                <div class="body-l">
                                    <p><?php echo esc_html($home_faqs_content); ?></p>
                                </div>
                            <?php
                            } ?>
                        </div>
                        <div class="faq-box-wp wow fadeup-animation" data-wow-duration="0.8s" data-wow-delay="0.3s">
                            <?php
                            while (have_rows('home_faqs_questions_list')) {
                                the_row();
                                $faqs_questions = get_sub_field('faqs_questions');
                                $faqs_answers = get_sub_field('faqs_answers');
                                if (!empty($faqs_questions) || !empty($faqs_answers)) {
                            ?>
                                    <div class="faq-box">
                                        <?php
                                        if (!empty($faqs_questions)) {
                                        ?>
                                            <h5 class="h5-title faq-title"><?php echo esc_html($faqs_questions); ?><span
                                                    class="mask-img"
                                                    style="-webkit-mask-image: url('<?php echo home_url(); ?>/wp-content/uploads/2024/10/faq-arrow.svg');"></span>
                                            </h5>
                                        <?php
                                        }
                                        if (!empty($faqs_answers)) { ?>
                                            <div class="faq-content">
                                                <?php echo wp_kses_post($faqs_answers); ?>
                                            </div>
                                        <?php
                                        } ?>
                                    </div>
                            <?php
                                }
                            } ?>
                        </div>
                        <?php
                        $home_faqs_button_text = get_field('home_faqs_button_text');
                        $home_faqs_button_url = get_field('home_faqs_button_url');
                        if (!empty($home_faqs_button_text) && !empty($home_faqs_button_url)) {
                        ?>
                            <div class="text-center wow fadeup-animation" data-wow-duration="0.8s" data-wow-delay="0.3s">
                                <a href="<?php echo esc_url($home_faqs_button_url); ?>" class="sec-btn btn-transparent"
                                    title="<?php echo esc_attr($home_faqs_button_text); ?>"><?php echo esc_html($home_faqs_button_text); ?><span
                                        class="mask-img arrow-icon"
                                        style="-webkit-mask-image: url('<?php echo home_url(); ?>/wp-content/uploads/2024/10/btn-arrow.svg'); width:22px; height: 13px;"></span></a>
                            </div>
                        <?php
                        } ?>
                    </div>
                </div>
            </div>
        </div>
    </section>
<?php
} ?>
<!-- END OF FAQ SECTION -->
<?php
$home_knowledge_center_title = get_field('home_knowledge_center_title');
$home_knowledge_center_content = get_field('home_knowledge_center_content');
$home_knowledge_center_button_text = get_field('home_knowledge_center_button_text');
$home_knowledge_center_button_url = get_field('home_knowledge_center_button_url');
$args = array(
    'post_type' => 'post',
    'post_status' => 'publish',
    'posts_per_page' => 3,
    'order' => 'desc',
);
$query = new wp_Query($args);
if ($query->have_posts()) {
?>
    <section class="knowledge-center">
        <div class="container">
            <div class="card-wp">
                <div class="row">
                    <div class="col-lg-12">
                        <div class="sec-title wow fadeup-animation" data-wow-duration="0.8s" data-wow-delay="0.2s">
                            <?php
                            echo (!empty($home_knowledge_center_title)) ? '<h2 class="h2-title">' . esc_html($home_knowledge_center_title) . '</h2>' : '';
                            echo (!empty($home_knowledge_center_content)) ? wp_kses_post($home_knowledge_center_content) : ''; ?>
                        </div>
                    </div>
                </div>
                <div class="blog-slider-wp wow fadeup-animation" data-wow-duration="0.8s" data-wow-delay="0.3s">
                    <div class="blog-slider swiper">
                        <div class="swiper-wrapper">
                            <?php
                            while ($query->have_posts()) {
                                $query->the_post();
                            ?>
                                <div class="swiper-slide">
                                    <div class="info-card">
                                        <div class="card-img">
                                            <a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"
                                                class="back-img"
                                                style="background-image: url('<?php the_post_thumbnail_url(); ?>')"></a>
                                        </div>
                                        <div class="card-content">
                                            <h4 class="h4-title">
                                                <a href="<?php the_permalink(); ?>" class=""
                                                    title="<?php the_title(); ?>"><?php the_title(); ?></a>
                                            </h4>
                                            <?php 
                                            if(!empty(get_the_content())){
                                                ?>
                                                    <div class="card-content-text">
                                                                                                              
                                                        <p><?php echo shorten_post_content(get_the_content()); ?> </p>
                                                                                                              
                                                   </div>
                                                    <?php 
                                            } ?>
                                            <a href="<?php the_permalink(); ?>" class="cta-link" title="Read more post-id-<?php echo get_the_ID(); ?>">Read more
                                                <span class="mask-img arrow-icon"
                                                    style="-webkit-mask-image: url('<?php echo home_url(); ?>/wp-content/uploads/2024/10/btn-arrow.svg'); width:22px; height: 15px;"></span></a>
                                        </div>
                                    </div>
                                </div>
                            <?php
                            } ?>
                        </div>
                        <div class="swiper-pagination"></div>
                    </div>
                </div>
            </div>
            <?php
            if (!empty($home_knowledge_center_button_text) && !empty($home_knowledge_center_button_url)) {
            ?>
                <div class="text-center wow fadeup-animation" data-wow-duration="0.8s" data-wow-delay="0.3s">
                    <a href="<?php echo esc_url($home_knowledge_center_button_url); ?>" class="sec-btn btn-transparent"
                        title="<?php echo esc_attr($home_knowledge_center_button_text); ?>"><?php echo esc_html($home_knowledge_center_button_text); ?><span
                            class="mask-img arrow-icon"
                            style="-webkit-mask-image: url('<?php echo home_url(); ?>/wp-content/uploads/2024/10/btn-arrow.svg'); width:22px; height: 13px;"></span></a>
                </div>
            <?php
            } ?>
        </div>
    </section>
<?php
}
wp_reset_postdata();
?>
<!-- END OF FAQ SECTION -->


