<!-- Inner Banner Section Start -->
<?php
$banner_title       = get_field('contact_us_banner_title') ? get_field('contact_us_banner_title') : get_the_title();
$banner_content     = get_field('contact_us_content');
if (!empty($banner_title) || !empty($banner_content)) {
    banner_details($banner_title, $banner_content);
}
?>

<!-- Inner Banner Section End -->

<!-- Contact Section Start -->
<?php
if (have_rows('locations_detalies')) {
    $phone          = get_field('phone_number', 'option');
    $button_title   = get_field('read_more_button_Title');
?>
    <section class="contact-section">
        <div class="container">
            <div class="row gy-3 gy-md-4 gy-lg-0 ">
                <div class="col-lg-5 col-xl-4">
                    <div class="wow left-animation">
                        <?php
                        while (have_rows('locations_detalies')) {
                            the_row();
                            $locations_title        = get_sub_field('contact_us_locations_title');
                            $location_description   = get_sub_field('location_description');
                            $location_link   = get_sub_field('location_link');
                            $latitude   = get_sub_field('latitude');
                            $longitude   = get_sub_field('longitude');
                            $appoint_required   = get_sub_field('appoint_required') ? "By Appointment Only" : " ";
                            if (!empty($locations_title) || !empty($appoint_required) || !empty($location_description) || !empty($location_link) || !empty($button_title) && !empty($latitude) && !empty($longitude)) {
                        ?>
                                <div class="contact-wp" data-lat="<?php echo $latitude; ?>" data-lng="<?php echo $longitude; ?>" data-title="<?php echo esc_attr($locations_title); ?>">
                                    <?php if (!empty($locations_title) || !empty($appoint_required)) { ?>
                                        <div class="contact-heading">
                                            <h4 class="h4-title"><?php echo esc_html($locations_title); ?></h4>
                                            <span class="tag"><?php echo esc_html($appoint_required); ?></span>
                                        </div>
                                    <?php }
                                    if (!empty($location_description) || !empty($location_link)) { ?>
                                        <a href="<?php echo esc_url($location_link['url']) ?>" target="<?php echo esc_attr($location_link['target']) ?>" title="<?php echo esc_attr($location_link['title']) ?>"><?php echo esc_html($location_description) ?></a>
                                    <?php }
                                    if (!empty($phone)) { ?>
                                        <h6 class="h6-title">
                                            <a href="<?php echo esc_url($phone['url']); ?>" title="<?php echo esc_attr("Call" . " " . $phone['title']); ?>"><span class="callus"><?php echo esc_attr($phone['title']); ?></span></a>
                                        </h6>
                                    <?php }
                                    if (!empty($button_title) && !empty($latitude) && !empty($longitude)) {
                                    ?>
                                        <button class="cta-link location-item-content" title="<?php echo esc_attr($button_title) ?>" data-lat=<?php echo esc_attr($latitude); ?> data-lng="<?php echo esc_attr($longitude); ?>"><?php echo esc_html($button_title) ?><span class="mask-img arrow-icon" style="-webkit-mask-image: url('<?php echo home_url() ?>/wp-content/uploads/2024/10/btn-arrow.svg'); width:22px; height: 15px;"></span></button>
                                    <?php
                                    }
                                    ?>
                                </div>
                        <?php
                            }
                        }
                        ?>
                    </div>
                </div>
                <div class="col-lg-7 col-xl-8">
                    <div class="maps map-wrapper ms-lg-auto wow right-animation" id="map-wrapper">
                        <!-- <iframe src="https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d3291.553030165105!2d-118.51248312367208!3d34.412705098610296!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x80c287b586d64ae1%3A0x4bffac22e1209106!2s26491%20Summit%20Cir%2C%20Santa%20Clarita%2C%20CA%2091350%2C%20USA!5e0!3m2!1sen!2sin!4v1728993887428!5m2!1sen!2sin" id = "maps" width="100%" height="100%" style="border:0;" allowfullscreen="" loading="lazy" referrerpolicy="no-referrer-when-downgrade"></iframe> -->
                    </div>
                </div>
            </div>
        </div>
    </section>
<?php } ?>
<!-- Contact Section End -->

<!-- Contact Section Start -->
<?php 
$contact_us_form = get_field('contact_us_form');

if(!empty($contact_us_form)){
    ?>
    <section class="contact-form-section">
        <div class="container">
            <div class="contact-form-wp wow fadeup-animation">
                <?php
                echo do_shortcode($contact_us_form);
                ?>
            </div>
        </div>
    </section>
    <?php 
}
?>
<!-- Contact Section End -->