<?php
$front_page_id = get_option('page_on_front');

$home_banner_title = get_field('home_banner_title', $front_page_id);
$home_banner_content = get_field('home_banner_content', $front_page_id);
$home_banner_video_thumbanail = get_field('home_banner_video_thumbanail', $front_page_id);
$home_banner_video_url = get_field('home_banner_video_url', $front_page_id);
$home_banner_guide_title = get_field('home_banner_guide_title', $front_page_id);
$home_banner_guide_content = get_field('home_banner_guide_content', $front_page_id);
$home_banner_download_button_text = get_field('home_banner_download_button_text', $front_page_id);
$home_banner_popup_form = get_field('home_banner_popup_form', $front_page_id);

if (!empty($home_banner_title) || !empty($home_banner_content) || !empty($home_banner_video_thumbanail) || !empty($home_banner_video_url) || !empty($home_banner_guide_title) || !empty($home_banner_guide_content)) {
    ?>
    <section class="main-banner seo-banner">
        <div class="container">
            <div class="row">
                <div class="col-lg-12">
                    <div class="banner-blocks">
                        <div class="banner-content-box">
                            <div class="banner-content">
                                <?php echo (!empty($home_banner_title)) ? '<h2 class="h1-title">' . esc_html($home_banner_title) . '</h2>' : '';
                                if (!empty($home_banner_content)) {
                                    ?>
                                    <div class="body-l">
                                        <?php echo wp_kses_post($home_banner_content); ?>
                                    </div>
                                    <?php
                                }
                                $appointment_button_text = get_field('appointment_button_text', 'option');
                                $appointment_button_url = get_field('appointment_button_url', 'option');

                                if (!empty($appointment_button_text && $appointment_button_url)) { ?>
                                    <div class="banner-btn">
                                        <a href="<?php echo esc_url($appointment_button_url); ?>" class="sec-btn"
                                            title="<?php echo esc_attr($appointment_button_text); ?>"><?php echo esc_html($appointment_button_text); ?></a>
                                    </div>
                                    <?php
                                } ?>
                            </div>
                        </div>
                        <!-- Contact Section Start -->
                        <?php 
                        $seo_form = get_field('seo_form','option');
                        if(!empty($seo_form)){
                            ?>
                            <div class="contact-form-section">
                                <div class="contact-form-wp">
                                    <?php
                                    echo do_shortcode($seo_form);
                                    ?>
                                </div>
                            </div>
                            <?php 
                        } ?>
                        <!-- Contact Section End -->
                         <?php 
                         if(!empty($home_banner_guide_title) || !empty($home_banner_guide_content) ){
                         ?>
                            <div class="tax-pitfalls">
                                <div class="tax-pitfalls-wp white-text">
                                    <div class="tax-pitfalls-content">
                                        <?php
                                        if (!empty($home_banner_guide_title)) {
                                            ?>
                                            <div class="body-xl">
                                                <h5><?php echo esc_html($home_banner_guide_title); ?></h5>
                                            </div>
                                            <?php
                                        }
                                        echo (!empty($home_banner_guide_content)) ? wp_kses_post($home_banner_guide_content) : ''; ?>
                                    </div>
                                    <?php if (!empty($home_banner_download_button_text)) { ?>
                                        <button class="sec-btn white-btn sm-btn" data-bs-toggle="modal"
                                            data-bs-target="#download_newsletter"
                                            title="<?php echo esc_attr($home_banner_download_button_text); ?>"><?php echo esc_html($home_banner_download_button_text); ?></button>
                                        <?php
                                    } ?>
                                </div>
                            </div>
                            <?php 
                        } ?>
                    </div>
                </div>
            </div>
        </div>
    </section>
<?php
} 
?>
<section class="main-seo-content">
    <div class="container">
        <div class="row">
            <div class="col-lg-10 mx-auto">
                <h1 class="sec-head h2-title wow fadeup-animation"><?php the_title(); ?></h1>
            </div>
        </div>
        <div class="row">
            <div class="col-lg-10 mx-auto">
                <div class="excerpt-content wow fadeup-animation">
                    <?php the_content(); ?>
                </div>
                <?php 
                $button_text_seo_page = get_field('button_text_seo_page','option');
                if(!empty($button_text_seo_page)){
                    ?>
                    <div class="submit-btn wow fadeup-animation">
                        <button type="button" aria-label="Read More" name="Read More" id="read-more"
                            class="sec-btn bg-btn sm-btn" title="<?php echo esc_html($button_text_seo_page); ?>"><?php echo esc_html($button_text_seo_page); ?></button>
                    </div>
                    <?php 
                } ?>
            </div>
        </div>
    </div>
</section>
