<?php
$title = get_field("strategic_tax_planning_banner_title");
$content = get_field("strategic_tax_planning_banner_content");

//Banner
banner_details($title, $content);
 
$video_thumbnail    = get_field("strategic_tax_planning_list_video_thumbnail");
$video_url          = get_field("strategic_tax_planning_list_video_url");
$strategic_tax_plan_list_button_text  = get_field("strategic_tax_plan_list_button_text");

if(!empty($video_thumbnail) || !empty($video_url) || have_rows("strategic_tax_planning_list")){?>
    <section class="tax-planning-main">
        <div class="container">
            <div class="row align-items-center gy-3 gy-lg-0">
                <div class="col-lg-12">
                    <div class="tax-planning-container">
                        <?php 
                        $index = 0;
                        $total_items = count(get_field("strategic_tax_planning_list")); 
                        while(have_rows("strategic_tax_planning_list")){ the_row(); ?>
                            <?php
                            $plan_list_title        = get_sub_field("plan_list_title");
                            $sectiontoID            = strtok($plan_list_title, " ");
                            $plan_list_image        = get_sub_field("plan_list_image");
                            
                           
                            if(!empty($plan_list_title) || !empty($plan_list_image) || !empty($strategic_tax_plan_list_button_text)){
                                // Open the box for cards every 2 items
                                if ($index % 2 === 0) {
                                    echo '<div class="tax-planning-boxes">';
                                }?>
                                <div class="tax-planning-box wow fadeup-animation">
                                    <?php 
                                    if(!empty($plan_list_image)){?>
                                        <div class="tax-planning-icon">
                                            <img src="<?php echo esc_url($plan_list_image['url']); ?>" alt="<?php echo esc_attr($plan_list_image['alt']); ?>" width="<?php echo esc_attr($plan_list_image['width']); ?>" height="<?php echo esc_attr($plan_list_image['height']); ?>">
                                        </div>
                                        <?php
                                    }?>
                                    <div class="tax-planning-content">
                                        <?php 
                                        if(!empty($plan_list_title)){?>
                                            <h5 class="h5-title"><?php echo esc_html($plan_list_title); ?></h5>
                                            <?php
                                        }
                                        if(!empty($strategic_tax_plan_list_button_text)){?>  
                                            <a href="<?php echo esc_url($plan_list_button_url."#".sanitize_title($sectiontoID)); ?>" class="cta-link" title="<?php echo esc_attr($strategic_tax_plan_list_button_text); ?>">
                                                <?php echo esc_html($strategic_tax_plan_list_button_text); ?>
                                                <span class="mask-img arrow-icon" style="-webkit-mask-image: url('<?php echo home_url(); ?>/wp-content/uploads/2024/10/btn-arrow.svg'); width:22px; height: 15px;"></span>
                                            </a>
                                            <?php
                                        }?>
                                    </div>
                                </div>
                                <?php
                                // Close the box after every 2 items
                                if ($index % 2 === 1 || $index === $total_items - 1) {
                                    echo '</div>'; 
                                }
                                // Show the video only once after 2 cards
                                if ($index === 1 && !empty($video_thumbnail) && !empty($video_url)) {
                                    ?>
                                    <div class="tax-planning-video wow fadeup-animation">
                                        <div class="back-img" style="background-image: url('<?php echo esc_url($video_thumbnail); ?>');">
                                            <?php
                                            if(!empty($video_url)){
                                                play_icon($video_url); 
                                            } ?>    
                                        </div>
                                    </div>
                                    <?php
                                }
                                $index++;
                            }
                        }?>    
                        </div>
                    </div>
                </div>
            </div>
    </section>
    <!-- END OF TAX PLANNING -->
    <?php
}
//Strategy Meeting
$strategy_meetings_title    = get_field("strategy_meetings_title");
$strategy_meeting_image     = get_field("strategy_meeting_image");
$strategy_meetings_content  = get_field("strategy_meetings_content");
$strategy_meet_points_title = get_field("strategy_meet_points_title");
if(!empty($strategy_meetings_title) || !empty($strategy_meeting_image) || !empty($strategy_meetings_content) || !empty($strategy_meet_points_title) || have_rows("strategy_meetings_points")){?>
    <section class="strategy-meetings" id="strategy">
        <div class="container">
            <div class="row align-items-center gy-3 gy-lg-0">
                <div class="col-lg-6 order-2 order-lg-1">
                    <div class="strategy-meetings-content feature-list wow left-animation">
                        <?php 
                        if(!empty($strategy_meetings_title)){?>
                            <h2 class="h2-title"><?php echo esc_html($strategy_meetings_title); ?></h2>
                            <?php
                        }
                        echo (!empty($strategy_meetings_content)) ? wp_kses_post($strategy_meetings_content) : ""; ?>
                    </div>
                </div>
                <div class="col-lg-6 order-1 order-lg-2">
                    <div class="strategy-meetings-img wow right-animation">
                        <?php 
                        if(!empty($strategy_meeting_image)){?>
                            <img src="<?php echo esc_url($strategy_meeting_image['url']); ?>" width="<?php echo esc_attr($strategy_meeting_image['width']); ?>" height="<?php echo esc_attr($strategy_meeting_image['height']); ?>" alt="<?php echo esc_attr($strategy_meeting_image['alt']); ?>">
                            <?php
                        }?>
                        <div class="meeting-box">
                            <?php 
                            if(!empty($strategy_meet_points_title)){?>
                                <h5 class="h5-title"><?php echo esc_html($strategy_meet_points_title); ?></h5>
                                <?php
                            }
                            if(have_rows("strategy_meetings_points")){?>
                                <div class="meeting-box-list">
                                    <ul>
                                        <?php 
                                        while(have_rows("strategy_meetings_points")){ the_row();
                                            $points_image   = get_sub_field("points_image");
                                            $point_text     = get_sub_field("point_text");
                                            if(!empty($points_image) || !empty($point_text)){?>
                                                <li>
                                                    <?php 
                                                    if(!empty($points_image)){?>
                                                        <div class="meeting-icon">
                                                            <img src="<?php echo esc_url($points_image['url']); ?>" width="<?php echo esc_attr($points_image['width']); ?>" height="<?php echo esc_attr($points_image['height']); ?>" alt="<?php echo esc_attr($points_image['alt']); ?>">
                                                        </div>
                                                        <?php
                                                    }
                                                    if(!empty($point_text)){?>
                                                        <div class="meeting-content"><?php echo esc_html($point_text); ?></div>
                                                        <?php
                                                    }?>
                                                </li>
                                                <?php
                                            }
                                        }?>
                                    </ul>
                                </div>
                                <?php
                            }?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- END OF STRATEGY MEETINGS -->
    <?php
}
//Business Solution
$essential_buss_title           = get_field("essential_buss_title");
$essential_buss_button_text     = get_field("essential_buss_button_text");
$essential_buss_button_url      = get_field("essential_buss_button_url");
$essential_buss_image           = get_field("essential_buss_image");
$essential_buss_point_title     = get_field("essential_buss_point_title");
$essential_buss_floating_image  = get_field("essential_buss_floating_image");
$essential_buss_content         = get_field("essential_buss_content");
if(!empty($essential_buss_title) || !empty($essential_buss_button_text) || !empty($essential_buss_button_url) || !empty($essential_buss_image) || !empty($essential_buss_floating_image) || !empty($essential_buss_content) || !empty($essential_buss_point_title)){?>
    <section class="business-solutions" id="essential">
        <div class="container">
            <div class="row align-items-center gy-3 gy-lg-0">
                <div class="col-lg-6">
                    <div class="business-solutions-img-wp text-end wow left-animation">
                        <?php 
                        if(!empty($essential_buss_image)){?>
                            <img src="<?php echo esc_url($essential_buss_image['url']); ?>"  class="business-solutions-img" width="<?php echo esc_attr($essential_buss_image['width']); ?>" height="<?php echo esc_attr($essential_buss_image['height']); ?>" alt="<?php echo esc_attr($essential_buss_image['alt']); ?>">
                            <?php
                        }
                        if(!empty($essential_buss_point_title) || !empty($essential_buss_floating_image)){?>
                            <div class="common-box business-solutions-box">
                                <?php
                                if(!empty($essential_buss_point_title)){?>
                                    <h5 class="h5-title"><?php echo esc_html($essential_buss_point_title); ?></h5>
                                    <?php
                                }
                                if(!empty($essential_buss_floating_image)){?>
                                    <img src="<?php echo esc_url($essential_buss_floating_image['url']); ?>" width="<?php echo esc_attr($essential_buss_floating_image['width']); ?>" height="<?php echo esc_attr($essential_buss_floating_image['height']); ?>" alt="<?php echo esc_attr($essential_buss_floating_image['alt']); ?>">
                                    <?php
                                }?>
                            </div>
                            <?php
                        }?>
                    </div>
                </div>
                <div class="col-lg-6">
                    <div class="business-solutions-content wow right-animation">
                        <?php
                        if(!empty($essential_buss_title)){?>
                            <h2 class="h2-title"><?php echo esc_html($essential_buss_title); ?></h2>
                            <?php
                        }
                        //Business Solution Content
                        echo (!empty($essential_buss_content)) ? wp_kses_post($essential_buss_content) : "";

                        if(!empty($essential_buss_button_text) || !empty($essential_buss_button_url)){?>
                            <a href="<?php echo esc_url($essential_buss_button_url); ?>" class="sec-btn btn-transparent" title="<?php echo esc_attr(ucfirst(strtolower($essential_buss_button_text.", ".$essential_buss_title))); ?>"><?php echo esc_html($essential_buss_button_text); ?><span class="mask-img arrow-icon" style="-webkit-mask-image: url('<?php echo home_url(); ?>/wp-content/uploads/2024/10/btn-arrow.svg'); width:22px; height: 15px;"></span></a>
                            <?php
                        }?>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- END OF BUSINESS SOLUTIONS -->
    <?php
}
//Tax Planning
$proactive_tax_title    = get_field("proactive_tax_title");
$proactive_tax_image    = get_field("proactive_tax_image");
$proactive_tax_content  = get_field("proactive_tax_content");
if(!empty($proactive_tax_title) || !empty($proactive_tax_image) || !empty($proactive_tax_content) || have_rows("proactive_tax_list_of_points")){?>
    <section class="tax-planning-section" id="proactive">
        <div class="container">
            <div class="row align-items-center gy-3 gy-lg-0">
                <div class="col-lg-6 order-2 order-lg-1">
                    <div class="proactive-tax-planning-content feature-list wow left-animation">
                        <?php
                        if(!empty($proactive_tax_title)){?>
                            <h2 class="h2-title"><?php echo esc_html($proactive_tax_title); ?></h2>
                            <?php
                        }
                        //Tax Planning Content
                        echo (!empty($proactive_tax_content)) ? wp_kses_post($proactive_tax_content) : ""; ?>
                    </div>
                </div>
                <div class="col-lg-6 order-1 order-lg-2">
                    <div class="tax-planning-img-wp text-lg-end wow right-animation">
                        <?php 
                        if(!empty($proactive_tax_image)){?>
                            <img src="<?php echo esc_url($proactive_tax_image['url']); ?>" width="<?php echo esc_attr($proactive_tax_image['width']); ?>" height="<?php echo esc_attr($proactive_tax_image['height']); ?>" alt="<?php echo esc_attr($proactive_tax_image['alt']); ?>" class="tax-planning-img">
                            <?php
                        }
                        if(have_rows("proactive_tax_list_of_points")){?>
                            <div class="tax-planning-box-wp text-start">
                                <?php 
                                while(have_rows("proactive_tax_list_of_points")){ the_row();
                                    $tax_point_icon = get_sub_field("tax_point_icon");
                                    $tax_point_text = get_sub_field("tax_point_text");
                                    if(!empty($tax_point_icon) || !empty($tax_point_text)){?>
                                        <div class="tax-planning-img-box common-box">
                                            <?php 
                                            if(!empty($tax_point_icon)){?>
                                                <img src="<?php echo esc_url($tax_point_icon['url']); ?>" alt="<?php echo esc_attr($tax_point_icon['alt']); ?>" width="<?php echo esc_attr($tax_point_icon['width']); ?>" height="<?php echo esc_attr($tax_point_icon['height']); ?>">
                                                <?php
                                            }
                                            if(!empty($tax_point_text)){?>
                                                <div class="body-s">
                                                    <p><?php echo esc_html($tax_point_text); ?></p>
                                                </div>
                                                <?php
                                            }?>
                                        </div>
                                        <?php
                                    }
                                }?>
                            </div>
                            <?php
                        }?>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- END OF TAX PLANNING -->
    <?php
}
//Estate Planning
$strategic_plan_title    = get_field("strategic_plan_title");
$strategic_plan_image    = get_field("strategic_plan_image");
$strategic_plan_content  = get_field("strategic_plan_content");
if(!empty($strategic_plan_title) || !empty($strategic_plan_image) || !empty($strategic_plan_content) || have_rows("strategic_plan_points")){ ?>
    <section class="estate-planning" id="strategic">
        <div class="container">
            <div class="row align-items-center gy-3 gy-lg-0">
                <div class="col-lg-6">
                    <div class="estate-planning-img-wp text-lg-end wow left-animation">
                        <?php 
                        if(!empty($strategic_plan_image)){?>
                            <img src="<?php echo esc_url($strategic_plan_image['url']); ?>" width="<?php echo esc_attr($strategic_plan_image['width']); ?>" height="<?php echo esc_attr($strategic_plan_image['height']); ?>" alt="<?php echo esc_attr($strategic_plan_image['alt']); ?>" class="estate-planning-img">
                            <?php
                        }
                        if(have_rows("strategic_plan_points")){?>
                            <div class="estate-planning-box-wp">
                                <div class="estate-planning-box-wp-block text-center">
                                    <?php 
                                    while(have_rows("strategic_plan_points")){ the_row();
                                        $plan_point_text    = get_sub_field("plan_point_text");
                                        if(!empty($plan_point_text)){?>
                                            <div class="estate-planning-box">
                                                <h6 class="h6-title"><?php echo esc_html($plan_point_text); ?></h6>
                                            </div>
                                            <?php
                                        }
                                    }?>
                                </div>
                            </div>
                            <?php
                        }?>
                    </div>
                </div>
                <div class="col-lg-6">
                    <div class="estate-planning-content feature-list wow right-animation">
                        <?php
                        if(!empty($strategic_plan_title)){?>
                            <h2 class="h2-title"><?php echo esc_html($strategic_plan_title); ?></h2>
                            <?php
                        }
                        //Tax Planning Content
                        echo (!empty($strategic_plan_content)) ? wp_kses_post($strategic_plan_content) : ""; ?>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- END OF ESTATE PLANNING -->
    <?php
}?>

<!-- Case Studies Section Start -->
<?php get_template_part('template-parts/content', 'case-studies-section'); ?>
<!-- Case Studies Section End -->

<?php 
//Book a Consultation
$strategic_plan_cta_title   = get_field("strategic_plan_cta_title");
$strategic_plan_cta_content = get_field("strategic_plan_cta_content");
if(function_exists('cta_service_section')){
    cta_service_section($strategic_plan_cta_title, $strategic_plan_cta_content);
}?>

