<?php
/*
  Template Name: Sitemap
 */
get_header();
$cur_page_id = get_the_ID();
//$common_inner_banner_image = get_field('common_inner_banner_image','option');
?>
<!-- Inner Banner Section Start -->
<section class="inner-banner">
    <div class="container">
        <div class="inner-banner-content-wp">
            <div class="row justify-content-center">
                <div class="col-lg-10 col-xl-8">
                    <div class="inner-banner-content">
                        <h1 class="h1-title"><?php the_title(); ?></h1>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<!-- Inner Banner Section End -->

<div class="inner-page-text privacy-content site-map-page">
    <div class="container">
        <div class="row">
            <div class="col-lg-12">
                <?php
                $postsArgs = array(
                    'post_type' => 'page',
                    'posts_per_page' => '-1',
                    'post_status' => 'publish'
                );
                $postsLoop = new WP_Query($postsArgs);
                if ($postsLoop->have_posts()) { ?>
                    <h2 id="sitemap-pages">Pages</h2>
                    <ul>
                        <?php
                        while ($postsLoop->have_posts()) {
                            $postsLoop->the_post();
                            $current_page_url = get_permalink($cur_page_id);
                            if (get_permalink() != $current_page_url) { ?>
                                <li <?php post_class(); ?>><a href="<?php the_permalink(); ?>"
                                        title="<?php the_title(); ?>"><?php the_title(); ?></a></li>
                            <?php }
                            wp_reset_query(); ?>
                        <?php
                        } ?>
                    </ul>
                <?php } ?>

                <?php
                $postsArgs = array(
                    'post_type' => 'post',
                    'posts_per_page' => '-1',
                    'post_status' => 'publish'
                );
                $postsLoop = new WP_Query($postsArgs);
                if ($postsLoop->have_posts()) { ?>
                    <h2 id="sitemap-posts">Posts</h2>
                    <ul>
                        <?php
                        while ($postsLoop->have_posts()) {
                            $postsLoop->the_post();
                        ?>
                            <li <?php post_class(); ?>><a href="<?php the_permalink(); ?>"
                                    title="<?php the_title(); ?>"><?php the_title(); ?></a></li>
                        <?php }
                        wp_reset_query(); ?>
                    </ul>
                <?php } ?>

                
                    <h2 id="sitemap-posts">Category</h2>
                    <ul>
                        <?php                                          
                          $categories = get_terms(array(
                            'taxonomy' => 'category',
                            'hide_empty' => true,
                        ));
                            foreach ($categories as $category) {
                                $category_link = get_category_link($category->term_id);
                                ?>
                                <li <?php post_class(); ?>><a href="<?php echo esc_url($category_link); ?>"
                                        title="<?php echo esc_html($category->name); ?>"><?php echo esc_html($category->name); ?></a></li>
                                
                                    <?php 
                            } ?>           
                    </ul>
                
            </div>
        </div>
    </div>
</div>
<?php
get_footer();
